cd "c:\mijn documenten\projecten\stata\ldecomp\1.1.5"
cscript
discard
use bench\wisconsin.dta, clear
recode ocf57 2=1 3=2 4=3 5=3
ldecomp college , direct(ocf57) indirect(hsrankq) seed(12345)

if c(stata_version) >= 10  {
	_assert_streq `"`e(cmdline)'"' `"bootstrap , notable           seed(12345)  : _ldecomp college , direct(ocf57) indirect(hsrankq) seed(12345)"'
}
assert `"`e(cmd)'"'        == `"bootstrap"'
assert `"`e(cmdname)'"'    == `"_ldecomp"'
assert `"`e(prefix)'"'     == `"bootstrap"'
assert `"`e(title)'"'      == `"Bootstrap results"'
assert `"`e(seed)'"'       == `"X246f113dc43f462544a474abacbdd93d0823"'
assert `"`e(vce)'"'        == `"bootstrap"'
assert `"`e(vcetype)'"'    == `"Bootstrap"'
assert `"`e(command)'"'    == `"_ldecomp college, direct(ocf57) indirect(hsrankq) seed(12345) "'
assert `"`e(exp24)'"'      == `"[3/2r]_b[average]"'
assert `"`e(exp23)'"'      == `"[3/2r]_b[method2]"'
assert `"`e(exp22)'"'      == `"[3/2r]_b[method1]"'
assert `"`e(exp21)'"'      == `"[3/1r]_b[average]"'
assert `"`e(exp20)'"'      == `"[3/1r]_b[method2]"'
assert `"`e(exp19)'"'      == `"[3/1r]_b[method1]"'
assert `"`e(exp18)'"'      == `"[2/1r]_b[average]"'
assert `"`e(exp17)'"'      == `"[2/1r]_b[method2]"'
assert `"`e(exp16)'"'      == `"[2/1r]_b[method1]"'
assert `"`e(exp15)'"'      == `"[3/2]_b[direct2]"'
assert `"`e(exp14)'"'      == `"[3/2]_b[indirect2]"'
assert `"`e(exp13)'"'      == `"[3/2]_b[direct1]"'
assert `"`e(exp12)'"'      == `"[3/2]_b[indirect1]"'
assert `"`e(exp11)'"'      == `"[3/2]_b[total]"'
assert `"`e(exp10)'"'      == `"[3/1]_b[direct2]"'
assert `"`e(exp9)'"'       == `"[3/1]_b[indirect2]"'
assert `"`e(exp8)'"'       == `"[3/1]_b[direct1]"'
assert `"`e(exp7)'"'       == `"[3/1]_b[indirect1]"'
assert `"`e(exp6)'"'       == `"[3/1]_b[total]"'
assert `"`e(exp5)'"'       == `"[2/1]_b[direct2]"'
assert `"`e(exp4)'"'       == `"[2/1]_b[indirect2]"'
assert `"`e(exp3)'"'       == `"[2/1]_b[direct1]"'
assert `"`e(exp2)'"'       == `"[2/1]_b[indirect1]"'
assert `"`e(exp1)'"'       == `"[2/1]_b[total]"'
if c(stata_version) >= 10  {
	assert `"`e(properties)'"' == `"b V"'
}
else {
	assert `"`e(properties)'"' == `"b"'
}

assert         e(version)   == 3
assert         e(N_misreps) == 0
assert         e(N_reps)    == 50
assert         e(level)     == 95
assert         e(k_eform)   == 3
if c(stata_version) >= 11  {
	assert         e(rank)      == 14
}
assert         e(k_eq)      == 6
assert         e(k_exp)     == 0
assert         e(k_eexp)    == 24
assert         e(k_extra)   == 0
assert         e(N)         == 8923

tempname T_b 
mat `T_b' = J(1,24,0)
mat `T_b'[1,1] =  .4367997095164289
mat `T_b'[1,2] =  .0593678513148635
mat `T_b'[1,3] =  .3774318582015655
mat `T_b'[1,4] =  .0586610913901438
mat `T_b'[1,5] =  .3781386181262852
mat `T_b'[1,6] =  1.410717571773523
mat `T_b'[1,7] =  .2058881457518621
mat `T_b'[1,8] =  1.204829426021661
mat `T_b'[1,9] =  .2012494169076981
mat `T_b'[1,10] =  1.209468154865825
mat `T_b'[1,11] =  .9739178622570942
mat `T_b'[1,12] =  .1461109397169635
mat `T_b'[1,13] =  .8278069225401309
mat `T_b'[1,14] =   .143214374171829
mat `T_b'[1,15] =  .8307034880852653
mat `T_b'[1,16] =  .1359155009067846
mat `T_b'[1,17] =  .1342974597100493
mat `T_b'[1,18] =  .1351064803084169
mat `T_b'[1,19] =  .1459456874085889
mat `T_b'[1,20] =  .1426574822164381
mat `T_b'[1,21] =  .1443015848125135
mat `T_b'[1,22] =  .1500238833060782
mat `T_b'[1,23] =  .1470497458994374
mat `T_b'[1,24] =  .1485368146027578
tempname C_b
matrix `C_b' = e(b)
assert mreldif( `C_b' , `T_b' ) < 1E-8
_assert_streq `"`: rowfullnames `C_b''"' `"y1"'
_assert_streq `"`: colfullnames `C_b''"' `"2/1:total 2/1:indirect1 2/1:direct1 2/1:indirect2 2/1:direct2 3/1:total 3/1:indirect1 3/1:direct1 3/1:indirect2 3/1:direct2 3/2:total 3/2:indirect1 3/2:direct1 3/2:indirect2 3/2:direct2 2/1r:method1 2/1r:method2 2/1r:average 3/1r:method1 3/1r:method2 3/1r:average 3/2r:method1 3/2r:method2 3/2r:average"'
mat drop `C_b' `T_b'

tempname T_V 
mat `T_V' = J(24,24,0)
mat `T_V'[1,1] =  .0081996323560898
mat `T_V'[1,2] =   .000825861962367
mat `T_V'[1,3] =   .007373769964829
mat `T_V'[1,4] =  .0008175644104368
mat `T_V'[1,5] =  .0073820676831825
mat `T_V'[1,6] =  .0011393802389589
mat `T_V'[1,7] =  .0000166668903806
mat `T_V'[1,8] =   .001122712824682
mat `T_V'[1,9] =  .0000790539400735
mat `T_V'[1,10] =  .0010603264310047
mat `T_V'[1,11] = -.0070602523026768
mat `T_V'[1,12] = -.0008172990133903
mat `T_V'[1,13] = -.0062429529422809
mat `T_V'[1,14] = -.0008014120759339
mat `T_V'[1,15] = -.0062588398047671
mat `T_V'[1,16] = -.0004970255089971
mat `T_V'[1,17] = -.0004607112965807
mat `T_V'[1,18] = -.0004788684239286
mat `T_V'[1,19] = -.0001117950963036
mat `T_V'[1,20] = -.0000632833561132
mat `T_V'[1,21] = -.0000875392798405
mat `T_V'[1,22] =  .0002479780087265
mat `T_V'[1,23] =  .0002426721947734
mat `T_V'[1,24] =  .0002453250860553
mat `T_V'[2,1] =   .000825861962367
mat `T_V'[2,2] =  .0007566458696955
mat `T_V'[2,3] =  .0000692160784126
mat `T_V'[2,4] =  .0007502213410697
mat `T_V'[2,5] =  .0000756406111325
mat `T_V'[2,6] =  .0001452961935737
mat `T_V'[2,7] =  .0000590790511756
mat `T_V'[2,8] =  .0000862169473713
mat `T_V'[2,9] =  .0000534072585069
mat `T_V'[2,10] =  .0000918887626529
mat `T_V'[2,11] = -.0006805658243573
mat `T_V'[2,12] = -.0006925934973156
mat `T_V'[2,13] =  .0000120276748539
mat `T_V'[2,14] = -.0006737336631724
mat `T_V'[2,15] = -6.83222904690e-06
mat `T_V'[2,16] =  .0016295664812716
mat `T_V'[2,17] =  .0016177530835259
mat `T_V'[2,18] =  .0016236598180849
mat `T_V'[2,19] =  .0000310351770266
mat `T_V'[2,20] =  .0000273673861835
mat `T_V'[2,21] =    .00002920125267
mat `T_V'[2,22] = -.0006044518964996
mat `T_V'[2,23] = -.0005886027706432
mat `T_V'[2,24] = -.0005965273468858
mat `T_V'[3,1] =   .007373769964829
mat `T_V'[3,2] =  .0000692160784126
mat `T_V'[3,3] =  .0073045534717817
mat `T_V'[3,4] =   .000067343052332
mat `T_V'[3,5] =  .0073064266601914
mat `T_V'[3,6] =  .0009940841441436
mat `T_V'[3,7] = -.0000424121001492
mat `T_V'[3,8] =  .0010364959154234
mat `T_V'[3,9] =  .0000256467259942
mat `T_V'[3,10] =  .0009684377226826
mat `T_V'[3,11] = -.0063796859506674
mat `T_V'[3,12] = -.0001247054402481
mat `T_V'[3,13] = -.0062549801653092
mat `T_V'[3,14] = -.0001276783398941
mat `T_V'[3,15] = -.0062520071209355
mat `T_V'[3,16] = -.0021265918856263
mat `T_V'[3,17] =  -.002078464285803
mat `T_V'[3,18] = -.0021025281425405
mat `T_V'[3,19] = -.0001428302386343
mat `T_V'[3,20] = -.0000906507190634
mat `T_V'[3,21] =  -.000116740503546
mat `T_V'[3,22] =  .0008524298990359
mat `T_V'[3,23] =   .000831274957732
mat `T_V'[3,24] =  .0008418524260036
mat `T_V'[4,1] =  .0008175644104368
mat `T_V'[4,2] =  .0007502213410697
mat `T_V'[4,3] =   .000067343052332
mat `T_V'[4,4] =  .0007459138584918
mat `T_V'[4,5] =  .0000716505386575
mat `T_V'[4,6] =  .0001430600637596
mat `T_V'[4,7] =  .0000592796407078
mat `T_V'[4,8] =  .0000837802038906
mat `T_V'[4,9] =  .0000563342892762
mat `T_V'[4,10] =  .0000867256050572
mat `T_V'[4,11] = -.0006745044122034
mat `T_V'[4,12] = -.0006874253646864
mat `T_V'[4,13] =  .0000129209521639
mat `T_V'[4,14] = -.0006719396140406
mat `T_V'[4,15] = -2.56486504405e-06
mat `T_V'[4,16] =  .0016138950750625
mat `T_V'[4,17] =  .0016072621924521
mat `T_V'[4,18] =  .0016105786692646
mat `T_V'[4,19] =  .0000314246966461
mat `T_V'[4,20] =  .0000296909261387
mat `T_V'[4,21] =  .0000305577832708
mat `T_V'[4,22] = -.0006013914057433
mat `T_V'[4,23] = -.0005889351058551
mat `T_V'[4,24] = -.0005951632677213
mat `T_V'[5,1] =  .0073820676831825
mat `T_V'[5,2] =  .0000756406111325
mat `T_V'[5,3] =  .0073064266601914
mat `T_V'[5,4] =  .0000716505386575
mat `T_V'[5,5] =  .0073104168953421
mat `T_V'[5,6] =  .0009963203037327
mat `T_V'[5,7] =  -.000042612746589
mat `T_V'[5,8] =  .0010389327455866
mat `T_V'[5,9] =  .0000227196442878
mat `T_V'[5,10] =  .0009736009609903
mat `T_V'[5,11] = -.0063857474994696
mat `T_V'[5,12] = -.0001298736325514
mat `T_V'[5,13] = -.0062558735195935
mat `T_V'[5,14] = -.0001294724450624
mat `T_V'[5,15] = -.0062562745655502
mat `T_V'[5,16] = -.0021109205170783
mat `T_V'[5,17] =  -.002067973432164
mat `T_V'[5,18] =  -.002089447031268
mat `T_V'[5,19] = -.0001432198036367
mat `T_V'[5,20] = -.0000929743000372
mat `T_V'[5,21] = -.0001180970773475
mat `T_V'[5,22] =   .000849369373691
mat `T_V'[5,23] =  .0008316072617912
mat `T_V'[5,24] =  .0008404883139686
mat `T_V'[6,1] =  .0011393802389589
mat `T_V'[6,2] =  .0001452961935737
mat `T_V'[6,3] =  .0009940841441436
mat `T_V'[6,4] =  .0001430600637596
mat `T_V'[6,5] =  .0009963203037327
mat `T_V'[6,6] =  .0028873450962209
mat `T_V'[6,7] =  .0004866645325653
mat `T_V'[6,8] =  .0024006805551506
mat `T_V'[6,9] =  .0005289108282352
mat `T_V'[6,10] =  .0023584340714896
mat `T_V'[6,11] =  .0017479645526067
mat `T_V'[6,12] =  .0003551915124478
mat `T_V'[6,13] =  .0013927729849086
mat `T_V'[6,14] =  .0003808743774363
mat `T_V'[6,15] =  .0013670903486355
mat `T_V'[6,16] = -7.19075462310e-06
mat `T_V'[6,17] = -1.20530988397e-06
mat `T_V'[6,18] = -4.19800249649e-06
mat `T_V'[6,19] =  .0000461732386835
mat `T_V'[6,20] =  .0000843168346677
mat `T_V'[6,21] =  .0000652450107863
mat `T_V'[6,22] =  .0000866820580862
mat `T_V'[6,23] =  .0001189277935115
mat `T_V'[6,24] =  .0001028048661724
mat `T_V'[7,1] =  .0000166668903806
mat `T_V'[7,2] =  .0000590790511756
mat `T_V'[7,3] = -.0000424121001492
mat `T_V'[7,4] =  .0000592796407078
mat `T_V'[7,5] =  -.000042612746589
mat `T_V'[7,6] =  .0004866645325653
mat `T_V'[7,7] =  .0003801753348068
mat `T_V'[7,8] =  .0001064891473175
mat `T_V'[7,9] =  .0003800896624616
mat `T_V'[7,10] =  .0001065748719613
mat `T_V'[7,11] =  .0004699975894469
mat `T_V'[7,12] =  .0003217137549795
mat `T_V'[7,13] =  .0001482837717384
mat `T_V'[7,14] =  .0003146193865236
mat `T_V'[7,15] =  .0001553781271807
mat `T_V'[7,16] =  .0001934495032412
mat `T_V'[7,17] =  .0001980537242575
mat `T_V'[7,18] =  .0001957516180816
mat `T_V'[7,19] =   .000221586538588
mat `T_V'[7,20] =  .0002226789118947
mat `T_V'[7,21] =  .0002221327127998
mat `T_V'[7,22] =  .0002570830267124
mat `T_V'[7,23] =  .0002524331859932
mat `T_V'[7,24] =  .0002547580840988
mat `T_V'[8,1] =   .001122712824682
mat `T_V'[8,2] =  .0000862169473713
mat `T_V'[8,3] =  .0010364959154234
mat `T_V'[8,4] =  .0000837802038906
mat `T_V'[8,5] =  .0010389327455866
mat `T_V'[8,6] =  .0024006805551506
mat `T_V'[8,7] =  .0001064891473175
mat `T_V'[8,8] =  .0022941914497716
mat `T_V'[8,9] =  .0001488210824517
mat `T_V'[8,10] =  .0022518592743465
mat `T_V'[8,11] =  .0012779674785525
mat `T_V'[8,12] =  .0000334779211968
mat `T_V'[8,13] =  .0012444895648344
mat `T_V'[8,14] =  .0000662552018015
mat `T_V'[8,15] =  .0012117125259582
mat `T_V'[8,16] =  -.000200640354135
mat `T_V'[8,17] = -.0001992591971302
mat `T_V'[8,18] = -.0001999497502078
mat `T_V'[8,19] = -.0001754133376632
mat `T_V'[8,20] = -.0001383621388056
mat `T_V'[8,21] = -.0001568877516822
mat `T_V'[8,22] = -.0001704008336328
mat `T_V'[8,23] = -.0001335052109706
mat `T_V'[8,24] = -.0001519530596742
mat `T_V'[9,1] =  .0000790539400735
mat `T_V'[9,2] =  .0000534072585069
mat `T_V'[9,3] =  .0000256467259942
mat `T_V'[9,4] =  .0000563342892762
mat `T_V'[9,5] =  .0000227196442878
mat `T_V'[9,6] =  .0005289108282352
mat `T_V'[9,7] =  .0003800896624616
mat `T_V'[9,8] =  .0001488210824517
mat `T_V'[9,9] =  .0003934459875049
mat `T_V'[9,10] =  .0001354648361688
mat `T_V'[9,11] =  .0004498568263101
mat `T_V'[9,12] =  .0003274739998618
mat `T_V'[9,13] =  .0001223827523136
mat `T_V'[9,14] =    .00032207071204
mat `T_V'[9,15] =  .0001277860446225
mat `T_V'[9,16] =  .0001590284477856
mat `T_V'[9,17] =   .000171409357031
mat `T_V'[9,18] =  .0001652189049183
mat `T_V'[9,19] =  .0002169632523194
mat `T_V'[9,20] =   .000227736278334
mat `T_V'[9,21] =  .0002223497534382
mat `T_V'[9,22] =  .0002654769992267
mat `T_V'[9,23] =  .0002625782109762
mat `T_V'[9,24] =  .0002640275846147
mat `T_V'[10,1] =  .0010603264310047
mat `T_V'[10,2] =  .0000918887626529
mat `T_V'[10,3] =  .0009684377226826
mat `T_V'[10,4] =  .0000867256050572
mat `T_V'[10,5] =  .0009736009609903
mat `T_V'[10,6] =  .0023584340714896
mat `T_V'[10,7] =  .0001065748719613
mat `T_V'[10,8] =  .0022518592743465
mat `T_V'[10,9] =  .0001354648361688
mat `T_V'[10,10] =  .0022229690433884
mat `T_V'[10,11] =  .0012981073976822
mat `T_V'[10,12] =  .0000277176803806
mat `T_V'[10,13] =  .0012703897361863
mat `T_V'[10,14] =  .0000588038188816
mat `T_V'[10,15] =  .0012393038219133
mat `T_V'[10,16] =  -.000166219619995
mat `T_V'[10,17] = -.0001726150742121
mat `T_V'[10,18] = -.0001694173198565
mat `T_V'[10,19] = -.0001707899980891
mat `T_V'[10,20] = -.0001434194340398
mat `T_V'[10,21] = -.0001571047300652
mat `T_V'[10,22] =  -.000178794694785
mat `T_V'[10,23] = -.0001436501871607
mat `T_V'[10,24] = -.0001612224801126
mat `T_V'[11,1] = -.0070602523026768
mat `T_V'[11,2] = -.0006805658243573
mat `T_V'[11,3] = -.0063796859506674
mat `T_V'[11,4] = -.0006745044122034
mat `T_V'[11,5] = -.0063857474994696
mat `T_V'[11,6] =  .0017479645526067
mat `T_V'[11,7] =  .0004699975894469
mat `T_V'[11,8] =  .0012779674785525
mat `T_V'[11,9] =  .0004498568263101
mat `T_V'[11,10] =  .0012981073976822
mat `T_V'[11,11] =  .0088082167361761
mat `T_V'[11,12] =  .0011724905377941
mat `T_V'[11,13] =  .0076357257961254
mat `T_V'[11,14] =  .0011822864961247
mat `T_V'[11,15] =  .0076259299915399
mat `T_V'[11,16] =  .0004898347541283
mat `T_V'[11,17] =  .0004595059571878
mat `T_V'[11,18] =  .0004746704065547
mat `T_V'[11,19] =  .0001579683247497
mat `T_V'[11,20] =   .000147600172669
mat `T_V'[11,21] =  .0001527842764523
mat `T_V'[11,22] = -.0001612959126547
mat `T_V'[11,23] = -.0001237443344029
mat `T_V'[11,24] = -.0001425201674606
mat `T_V'[12,1] = -.0008172990133903
mat `T_V'[12,2] = -.0006925934973156
mat `T_V'[12,3] = -.0001247054402481
mat `T_V'[12,4] = -.0006874253646864
mat `T_V'[12,5] = -.0001298736325514
mat `T_V'[12,6] =  .0003551915124478
mat `T_V'[12,7] =  .0003217137549795
mat `T_V'[12,8] =  .0000334779211968
mat `T_V'[12,9] =  .0003274739998618
mat `T_V'[12,10] =  .0000277176803806
mat `T_V'[12,11] =  .0011724905377941
mat `T_V'[12,12] =  .0010115555352827
mat `T_V'[12,13] =  .0001609349353673
mat `T_V'[12,14] =  .0009894369503981
mat `T_V'[12,15] =  .0001830535785449
mat `T_V'[12,16] =  -.001419314680391
mat `T_V'[12,17] = -.0014064708942113
mat `T_V'[12,18] = -.0014128928184512
mat `T_V'[12,19] =  .0001895290020585
mat `T_V'[12,20] =  .0001944488045757
mat `T_V'[12,21] =  .0001919889190495
mat `T_V'[12,22] =  .0008563816267415
mat `T_V'[12,23] =  .0008398632464872
mat `T_V'[12,24] =  .0008481224266679
mat `T_V'[13,1] = -.0062429529422809
mat `T_V'[13,2] =  .0000120276748539
mat `T_V'[13,3] = -.0062549801653092
mat `T_V'[13,4] =  .0000129209521639
mat `T_V'[13,5] = -.0062558735195935
mat `T_V'[13,6] =  .0013927729849086
mat `T_V'[13,7] =  .0001482837717384
mat `T_V'[13,8] =  .0012444895648344
mat `T_V'[13,9] =  .0001223827523136
mat `T_V'[13,10] =  .0012703897361863
mat `T_V'[13,11] =  .0076357257961254
mat `T_V'[13,12] =  .0001609349353673
mat `T_V'[13,13] =  .0074747905256465
mat `T_V'[13,14] =   .000192849474651
mat `T_V'[13,15] =  .0074428760818145
mat `T_V'[13,16] =  .0019091493035373
mat `T_V'[13,17] =  .0018659767171525
mat `T_V'[13,18] =  .0018875630923917
mat `T_V'[13,19] = -.0000315607150281
mat `T_V'[13,20] = -.0000468486777172
mat `T_V'[13,21] = -.0000392046843622
mat `T_V'[13,22] = -.0010176775269493
mat `T_V'[13,23] = -.0009636075735731
mat `T_V'[13,24] = -.0009906425842466
mat `T_V'[14,1] = -.0008014120759339
mat `T_V'[14,2] = -.0006737336631724
mat `T_V'[14,3] = -.0001276783398941
mat `T_V'[14,4] = -.0006719396140406
mat `T_V'[14,5] = -.0001294724450624
mat `T_V'[14,6] =  .0003808743774363
mat `T_V'[14,7] =  .0003146193865236
mat `T_V'[14,8] =  .0000662552018015
mat `T_V'[14,9] =    .00032207071204
mat `T_V'[14,10] =  .0000588038188816
mat `T_V'[14,11] =  .0011822864961247
mat `T_V'[14,12] =  .0009894369503981
mat `T_V'[14,13] =   .000192849474651
mat `T_V'[14,14] =  .0009784417345896
mat `T_V'[14,15] =  .0002038447460178
mat `T_V'[14,16] = -.0013718676254778
mat `T_V'[14,17] = -.0013675846427461
mat `T_V'[14,18] = -.0013697261645338
mat `T_V'[14,19] =   .000181661134321
mat `T_V'[14,20] =   .000187861073005
mat `T_V'[14,21] =  .0001847611171578
mat `T_V'[14,22] =  .0008346854996033
mat `T_V'[14,23] =  .0008292747009609
mat `T_V'[14,24] =  .0008319800871683
mat `T_V'[15,1] = -.0062588398047671
mat `T_V'[15,2] = -6.83222904690e-06
mat `T_V'[15,3] = -.0062520071209355
mat `T_V'[15,4] = -2.56486504405e-06
mat `T_V'[15,5] = -.0062562745655502
mat `T_V'[15,6] =  .0013670903486355
mat `T_V'[15,7] =  .0001553781271807
mat `T_V'[15,8] =  .0012117125259582
mat `T_V'[15,9] =  .0001277860446225
mat `T_V'[15,10] =  .0012393038219133
mat `T_V'[15,11] =  .0076259299915399
mat `T_V'[15,12] =  .0001830535785449
mat `T_V'[15,13] =  .0074428760818145
mat `T_V'[15,14] =  .0002038447460178
mat `T_V'[15,15] =  .0074220850125288
mat `T_V'[15,16] =  .0018617020085064
mat `T_V'[15,17] =   .001827090238047
mat `T_V'[15,18] =  .0018443962045954
mat `T_V'[15,19] = -.0000236928798387
mat `T_V'[15,20] = -.0000402609651246
mat `T_V'[15,21] = -.0000319769082336
mat `T_V'[15,22] = -.0009959813712549
mat `T_V'[15,23] = -.0009530189997028
mat `T_V'[15,24] = -.0009745002162969
mat `T_V'[16,1] = -.0004970255089971
mat `T_V'[16,2] =  .0016295664812716
mat `T_V'[16,3] = -.0021265918856263
mat `T_V'[16,4] =  .0016138950750625
mat `T_V'[16,5] = -.0021109205170783
mat `T_V'[16,6] = -7.19075462310e-06
mat `T_V'[16,7] =  .0001934495032412
mat `T_V'[16,8] =  -.000200640354135
mat `T_V'[16,9] =  .0001590284477856
mat `T_V'[16,10] =  -.000166219619995
mat `T_V'[16,11] =  .0004898347541283
mat `T_V'[16,12] =  -.001419314680391
mat `T_V'[16,13] =  .0019091493035373
mat `T_V'[16,14] = -.0013718676254778
mat `T_V'[16,15] =  .0018617020085064
mat `T_V'[16,16] =   .004408288128764
mat `T_V'[16,17] =  .0043625427742116
mat `T_V'[16,18] =  .0043854155511406
mat `T_V'[16,19] =  .0001509708914227
mat `T_V'[16,20] =   .000126138973122
mat `T_V'[16,21] =  .0001385548643152
mat `T_V'[16,22] = -.0015060673785034
mat `T_V'[16,23] = -.0014600062736551
mat `T_V'[16,24] = -.0014830368659567
mat `T_V'[17,1] = -.0004607112965807
mat `T_V'[17,2] =  .0016177530835259
mat `T_V'[17,3] =  -.002078464285803
mat `T_V'[17,4] =  .0016072621924521
mat `T_V'[17,5] =  -.002067973432164
mat `T_V'[17,6] = -1.20530988397e-06
mat `T_V'[17,7] =  .0001980537242575
mat `T_V'[17,8] = -.0001992591971302
mat `T_V'[17,9] =   .000171409357031
mat `T_V'[17,10] = -.0001726150742121
mat `T_V'[17,11] =  .0004595059571878
mat `T_V'[17,12] = -.0014064708942113
mat `T_V'[17,13] =  .0018659767171525
mat `T_V'[17,14] = -.0013675846427461
mat `T_V'[17,15] =   .001827090238047
mat `T_V'[17,16] =  .0043625427742116
mat `T_V'[17,17] =   .004330379361822
mat `T_V'[17,18] =  .0043464611665553
mat `T_V'[17,19] =  .0001536955458246
mat `T_V'[17,20] =  .0001344146176447
mat `T_V'[17,21] =  .0001440550155986
mat `T_V'[17,22] = -.0014911898525626
mat `T_V'[17,23] = -.0014537542892381
mat `T_V'[17,24] = -.0014724721073724
mat `T_V'[18,1] = -.0004788684239286
mat `T_V'[18,2] =  .0016236598180849
mat `T_V'[18,3] = -.0021025281425405
mat `T_V'[18,4] =  .0016105786692646
mat `T_V'[18,5] =  -.002089447031268
mat `T_V'[18,6] = -4.19800249649e-06
mat `T_V'[18,7] =  .0001957516180816
mat `T_V'[18,8] = -.0001999497502078
mat `T_V'[18,9] =  .0001652189049183
mat `T_V'[18,10] = -.0001694173198565
mat `T_V'[18,11] =  .0004746704065547
mat `T_V'[18,12] = -.0014128928184512
mat `T_V'[18,13] =  .0018875630923917
mat `T_V'[18,14] = -.0013697261645338
mat `T_V'[18,15] =  .0018443962045954
mat `T_V'[18,16] =  .0043854155511406
mat `T_V'[18,17] =  .0043464611665553
mat `T_V'[18,18] =  .0043659384579436
mat `T_V'[18,19] =  .0001523332191262
mat `T_V'[18,20] =  .0001302767947212
mat `T_V'[18,21] =  .0001413049398771
mat `T_V'[18,22] = -.0014986286543429
mat `T_V'[18,23] = -.0014568803195283
mat `T_V'[18,24] = -.0014777545251104
mat `T_V'[19,1] = -.0001117950963036
mat `T_V'[19,2] =  .0000310351770266
mat `T_V'[19,3] = -.0001428302386343
mat `T_V'[19,4] =  .0000314246966461
mat `T_V'[19,5] = -.0001432198036367
mat `T_V'[19,6] =  .0000461732386835
mat `T_V'[19,7] =   .000221586538588
mat `T_V'[19,8] = -.0001754133376632
mat `T_V'[19,9] =  .0002169632523194
mat `T_V'[19,10] = -.0001707899980891
mat `T_V'[19,11] =  .0001579683247497
mat `T_V'[19,12] =  .0001895290020585
mat `T_V'[19,13] = -.0000315607150281
mat `T_V'[19,14] =   .000181661134321
mat `T_V'[19,15] = -.0000236928798387
mat `T_V'[19,16] =  .0001509708914227
mat `T_V'[19,17] =  .0001536955458246
mat `T_V'[19,18] =  .0001523332191262
mat `T_V'[19,19] =  .0001542604744303
mat `T_V'[19,20] =  .0001509451541774
mat `T_V'[19,21] =  .0001526028077844
mat `T_V'[19,22] =  .0001707331491786
mat `T_V'[19,23] =   .000163939662856
mat `T_V'[19,24] =  .0001673363957084
mat `T_V'[20,1] = -.0000632833561132
mat `T_V'[20,2] =  .0000273673861835
mat `T_V'[20,3] = -.0000906507190634
mat `T_V'[20,4] =  .0000296909261387
mat `T_V'[20,5] = -.0000929743000372
mat `T_V'[20,6] =  .0000843168346677
mat `T_V'[20,7] =  .0002226789118947
mat `T_V'[20,8] = -.0001383621388056
mat `T_V'[20,9] =   .000227736278334
mat `T_V'[20,10] = -.0001434194340398
mat `T_V'[20,11] =   .000147600172669
mat `T_V'[20,12] =  .0001944488045757
mat `T_V'[20,13] = -.0000468486777172
mat `T_V'[20,14] =   .000187861073005
mat `T_V'[20,15] = -.0000402609651246
mat `T_V'[20,16] =   .000126138973122
mat `T_V'[20,17] =  .0001344146176447
mat `T_V'[20,18] =  .0001302767947212
mat `T_V'[20,19] =  .0001509451541774
mat `T_V'[20,20] =  .0001546336789928
mat `T_V'[20,21] =  .0001527894103386
mat `T_V'[20,22] =  .0001769185994003
mat `T_V'[20,23] =  .0001714634291528
mat `T_V'[20,24] =  .0001741910050933
mat `T_V'[21,1] = -.0000875392798405
mat `T_V'[21,2] =    .00002920125267
mat `T_V'[21,3] =  -.000116740503546
mat `T_V'[21,4] =  .0000305577832708
mat `T_V'[21,5] = -.0001180970773475
mat `T_V'[21,6] =  .0000652450107863
mat `T_V'[21,7] =  .0002221327127998
mat `T_V'[21,8] = -.0001568877516822
mat `T_V'[21,9] =  .0002223497534382
mat `T_V'[21,10] = -.0001571047300652
mat `T_V'[21,11] =  .0001527842764523
mat `T_V'[21,12] =  .0001919889190495
mat `T_V'[21,13] = -.0000392046843622
mat `T_V'[21,14] =  .0001847611171578
mat `T_V'[21,15] = -.0000319769082336
mat `T_V'[21,16] =  .0001385548643152
mat `T_V'[21,17] =  .0001440550155986
mat `T_V'[21,18] =  .0001413049398771
mat `T_V'[21,19] =  .0001526028077844
mat `T_V'[21,20] =  .0001527894103386
mat `T_V'[21,21] =  .0001526961026785
mat `T_V'[21,22] =  .0001738258855099
mat `T_V'[21,23] =  .0001677015549037
mat `T_V'[21,24] =  .0001707637104607
mat `T_V'[22,1] =  .0002479780087265
mat `T_V'[22,2] = -.0006044518964996
mat `T_V'[22,3] =  .0008524298990359
mat `T_V'[22,4] = -.0006013914057433
mat `T_V'[22,5] =   .000849369373691
mat `T_V'[22,6] =  .0000866820580862
mat `T_V'[22,7] =  .0002570830267124
mat `T_V'[22,8] = -.0001704008336328
mat `T_V'[22,9] =  .0002654769992267
mat `T_V'[22,10] =  -.000178794694785
mat `T_V'[22,11] = -.0001612959126547
mat `T_V'[22,12] =  .0008563816267415
mat `T_V'[22,13] = -.0010176775269493
mat `T_V'[22,14] =  .0008346854996033
mat `T_V'[22,15] = -.0009959813712549
mat `T_V'[22,16] = -.0015060673785034
mat `T_V'[22,17] = -.0014911898525626
mat `T_V'[22,18] = -.0014986286543429
mat `T_V'[22,19] =  .0001707331491786
mat `T_V'[22,20] =  .0001769185994003
mat `T_V'[22,21] =  .0001738258855099
mat `T_V'[22,22] =  .0009113172361532
mat `T_V'[22,23] =  .0008910359307172
mat `T_V'[22,24] =  .0009011765804751
mat `T_V'[23,1] =  .0002426721947734
mat `T_V'[23,2] = -.0005886027706432
mat `T_V'[23,3] =   .000831274957732
mat `T_V'[23,4] = -.0005889351058551
mat `T_V'[23,5] =  .0008316072617912
mat `T_V'[23,6] =  .0001189277935115
mat `T_V'[23,7] =  .0002524331859932
mat `T_V'[23,8] = -.0001335052109706
mat `T_V'[23,9] =  .0002625782109762
mat `T_V'[23,10] = -.0001436501871607
mat `T_V'[23,11] = -.0001237443344029
mat `T_V'[23,12] =  .0008398632464872
mat `T_V'[23,13] = -.0009636075735731
mat `T_V'[23,14] =  .0008292747009609
mat `T_V'[23,15] = -.0009530189997028
mat `T_V'[23,16] = -.0014600062736551
mat `T_V'[23,17] = -.0014537542892381
mat `T_V'[23,18] = -.0014568803195283
mat `T_V'[23,19] =   .000163939662856
mat `T_V'[23,20] =  .0001714634291528
mat `T_V'[23,21] =  .0001677015549037
mat `T_V'[23,22] =  .0008910359307172
mat `T_V'[23,23] =  .0008820137494614
mat `T_V'[23,24] =  .0008865248339862
mat `T_V'[24,1] =  .0002453250860553
mat `T_V'[24,2] = -.0005965273468858
mat `T_V'[24,3] =  .0008418524260036
mat `T_V'[24,4] = -.0005951632677213
mat `T_V'[24,5] =  .0008404883139686
mat `T_V'[24,6] =  .0001028048661724
mat `T_V'[24,7] =  .0002547580840988
mat `T_V'[24,8] = -.0001519530596742
mat `T_V'[24,9] =  .0002640275846147
mat `T_V'[24,10] = -.0001612224801126
mat `T_V'[24,11] = -.0001425201674606
mat `T_V'[24,12] =  .0008481224266679
mat `T_V'[24,13] = -.0009906425842466
mat `T_V'[24,14] =  .0008319800871683
mat `T_V'[24,15] = -.0009745002162969
mat `T_V'[24,16] = -.0014830368659567
mat `T_V'[24,17] = -.0014724721073724
mat `T_V'[24,18] = -.0014777545251104
mat `T_V'[24,19] =  .0001673363957084
mat `T_V'[24,20] =  .0001741910050933
mat `T_V'[24,21] =  .0001707637104607
mat `T_V'[24,22] =  .0009011765804751
mat `T_V'[24,23] =  .0008865248339862
mat `T_V'[24,24] =  .0008938507026991
tempname C_V
matrix `C_V' = e(V)
assert mreldif( `C_V' , `T_V' ) < 1E-8
_assert_streq `"`: rowfullnames `C_V''"' `"2/1:total 2/1:indirect1 2/1:direct1 2/1:indirect2 2/1:direct2 3/1:total 3/1:indirect1 3/1:direct1 3/1:indirect2 3/1:direct2 3/2:total 3/2:indirect1 3/2:direct1 3/2:indirect2 3/2:direct2 2/1r:method1 2/1r:method2 2/1r:average 3/1r:method1 3/1r:method2 3/1r:average 3/2r:method1 3/2r:method2 3/2r:average"'
_assert_streq `"`: colfullnames `C_V''"' `"2/1:total 2/1:indirect1 2/1:direct1 2/1:indirect2 2/1:direct2 3/1:total 3/1:indirect1 3/1:direct1 3/1:indirect2 3/1:direct2 3/2:total 3/2:indirect1 3/2:direct1 3/2:indirect2 3/2:direct2 2/1r:method1 2/1r:method2 2/1r:average 3/1r:method1 3/1r:method2 3/1r:average 3/2r:method1 3/2r:method2 3/2r:average"'
mat drop `C_V' `T_V'

tempname T_odds_pred 
mat `T_odds_pred' = J(3,3,0)
mat `T_odds_pred'[1,1] =  .3963071982873963
mat `T_odds_pred'[1,2] =  .5784362153628407
mat `T_odds_pred'[1,3] =  1.328303467520809
mat `T_odds_pred'[2,1] =  .4205475341841629
mat `T_odds_pred'[2,2] =  .6133828996282541
mat `T_odds_pred'[2,3] =  1.407672431214676
mat `T_odds_pred'[3,1] =  .4869092737452521
mat `T_odds_pred'[3,2] =  .7098831031275734
mat `T_odds_pred'[3,3] =  1.624421831637347
tempname C_odds_pred
matrix `C_odds_pred' = e(odds_pred)
assert mreldif( `C_odds_pred' , `T_odds_pred' ) < 1E-8
_assert_streq `"`: rowfullnames `C_odds_pred''"' `"Unskilled Farming Skilled"'
_assert_streq `"`: colfullnames `C_odds_pred''"' `"association:Unskilled association:Farming association:Skilled"'
mat drop `C_odds_pred' `T_odds_pred'

tempname T_prop_pred 
mat `T_prop_pred' = J(3,3,0)
mat `T_prop_pred'[1,1] =  .2838252203909544
mat `T_prop_pred'[1,2] =  .3664615710998962
mat `T_prop_pred'[1,3] =  .5705027227121705
mat `T_prop_pred'[2,1] =  .2960460836853927
mat `T_prop_pred'[2,2] =  .3801843317972355
mat `T_prop_pred'[2,3] =  .5846611079500138
mat `T_prop_pred'[3,1] =  .3274640103083202
mat `T_prop_pred'[3,2] =  .4151646985861872
mat `T_prop_pred'[3,3] =  .6189636940429995
tempname C_prop_pred
matrix `C_prop_pred' = e(prop_pred)
assert mreldif( `C_prop_pred' , `T_prop_pred' ) < 1E-8
_assert_streq `"`: rowfullnames `C_prop_pred''"' `"Unskilled Farming Skilled"'
_assert_streq `"`: colfullnames `C_prop_pred''"' `"association:Unskilled association:Farming association:Skilled"'
mat drop `C_prop_pred' `T_prop_pred'

tempname T_prop_obs 
mat `T_prop_obs' = J(3,1,0)
mat `T_prop_obs'[1,1] =  .2838252203909544
mat `T_prop_obs'[2,1] =   .380184331797235
mat `T_prop_obs'[3,1] =  .6189636940430032
tempname C_prop_obs
matrix `C_prop_obs' = e(prop_obs)
assert mreldif( `C_prop_obs' , `T_prop_obs' ) < 1E-8
_assert_streq `"`: rowfullnames `C_prop_obs''"' `"Unskilled Farming Skilled"'
_assert_streq `"`: colfullnames `C_prop_obs''"' `"proportion"'
mat drop `C_prop_obs' `T_prop_obs'

ldecomp college , direct(ocf57) indirect(hsrankq) seed(12345) normal

if c(stata_version) >= 10  {
	_assert_streq `"`e(cmdline)'"' `"bootstrap , notable           seed(12345)  : _ldecomp college , direct(ocf57) indirect(hsrankq) seed(12345) normal"'
}
assert `"`e(cmd)'"'        == `"bootstrap"'
assert `"`e(cmdname)'"'    == `"_ldecomp"'
assert `"`e(prefix)'"'     == `"bootstrap"'
assert `"`e(title)'"'      == `"Bootstrap results"'
assert `"`e(seed)'"'       == `"X246f113dc43f462544a474abacbdd93d0823"'
assert `"`e(vce)'"'        == `"bootstrap"'
assert `"`e(vcetype)'"'    == `"Bootstrap"'
assert `"`e(command)'"'    == `"_ldecomp college, direct(ocf57) indirect(hsrankq) seed(12345) normal "'
assert `"`e(exp24)'"'      == `"[3/2r]_b[average]"'
assert `"`e(exp23)'"'      == `"[3/2r]_b[method2]"'
assert `"`e(exp22)'"'      == `"[3/2r]_b[method1]"'
assert `"`e(exp21)'"'      == `"[3/1r]_b[average]"'
assert `"`e(exp20)'"'      == `"[3/1r]_b[method2]"'
assert `"`e(exp19)'"'      == `"[3/1r]_b[method1]"'
assert `"`e(exp18)'"'      == `"[2/1r]_b[average]"'
assert `"`e(exp17)'"'      == `"[2/1r]_b[method2]"'
assert `"`e(exp16)'"'      == `"[2/1r]_b[method1]"'
assert `"`e(exp15)'"'      == `"[3/2]_b[direct2]"'
assert `"`e(exp14)'"'      == `"[3/2]_b[indirect2]"'
assert `"`e(exp13)'"'      == `"[3/2]_b[direct1]"'
assert `"`e(exp12)'"'      == `"[3/2]_b[indirect1]"'
assert `"`e(exp11)'"'      == `"[3/2]_b[total]"'
assert `"`e(exp10)'"'      == `"[3/1]_b[direct2]"'
assert `"`e(exp9)'"'       == `"[3/1]_b[indirect2]"'
assert `"`e(exp8)'"'       == `"[3/1]_b[direct1]"'
assert `"`e(exp7)'"'       == `"[3/1]_b[indirect1]"'
assert `"`e(exp6)'"'       == `"[3/1]_b[total]"'
assert `"`e(exp5)'"'       == `"[2/1]_b[direct2]"'
assert `"`e(exp4)'"'       == `"[2/1]_b[indirect2]"'
assert `"`e(exp3)'"'       == `"[2/1]_b[direct1]"'
assert `"`e(exp2)'"'       == `"[2/1]_b[indirect1]"'
assert `"`e(exp1)'"'       == `"[2/1]_b[total]"'
if c(stata_version) >= 10  {
	assert `"`e(properties)'"' == `"b V"'
}
else {
	assert `"`e(properties)'"' == `"b"'
}

assert         e(version)   == 3
assert         e(N_misreps) == 0
assert         e(N_reps)    == 50
assert         e(level)     == 95
assert         e(k_eform)   == 3
if c(stata_version) >= 11  {
	assert         e(rank)      == 14
}
assert         e(k_eq)      == 6
assert         e(k_exp)     == 0
assert         e(k_eexp)    == 24
assert         e(k_extra)   == 0
assert         e(N)         == 8923

tempname T_b 
mat `T_b' = J(1,24,0)
mat `T_b'[1,1] =  .4275330140781696
mat `T_b'[1,2] =  .0473424049632829
mat `T_b'[1,3] =  .3801906091148866
mat `T_b'[1,4] =  .0465333034919307
mat `T_b'[1,5] =  .3809997105862389
mat `T_b'[1,6] =  1.341775228098295
mat `T_b'[1,7] =   .148519854238215
mat `T_b'[1,8] =   1.19325537386008
mat `T_b'[1,9] =  .1328331337784586
mat `T_b'[1,10] =  1.208942094319836
mat `T_b'[1,11] =  .9142422140201255
mat `T_b'[1,12] =  .0982635100905975
mat `T_b'[1,13] =  .8159787039295282
mat `T_b'[1,14] =  .0884701583060082
mat `T_b'[1,15] =  .8257720557141174
mat `T_b'[1,16] =  .1107339162224953
mat `T_b'[1,17] =  .1088414273509709
mat `T_b'[1,18] =  .1097876717867331
mat `T_b'[1,19] =   .110689071558366
mat `T_b'[1,20] =  .0989980519812724
mat `T_b'[1,21] =  .1048435617698192
mat `T_b'[1,22] =  .1074808279290792
mat `T_b'[1,23] =  .0967688397552606
mat `T_b'[1,24] =  .1021248338421699
tempname C_b
matrix `C_b' = e(b)
assert mreldif( `C_b' , `T_b' ) < 1E-8
_assert_streq `"`: rowfullnames `C_b''"' `"y1"'
_assert_streq `"`: colfullnames `C_b''"' `"2/1:total 2/1:indirect1 2/1:direct1 2/1:indirect2 2/1:direct2 3/1:total 3/1:indirect1 3/1:direct1 3/1:indirect2 3/1:direct2 3/2:total 3/2:indirect1 3/2:direct1 3/2:indirect2 3/2:direct2 2/1r:method1 2/1r:method2 2/1r:average 3/1r:method1 3/1r:method2 3/1r:average 3/2r:method1 3/2r:method2 3/2r:average"'
mat drop `C_b' `T_b'

tempname T_V 
mat `T_V' = J(24,24,0)
mat `T_V'[1,1] =  .0081385140383188
mat `T_V'[1,2] =   .000609210843307
mat `T_V'[1,3] =  .0075293029944461
mat `T_V'[1,4] =  .0005995746783773
mat `T_V'[1,5] =  .0075389390952655
mat `T_V'[1,6] =  .0012100113037312
mat `T_V'[1,7] =  .0001384790617839
mat `T_V'[1,8] =  .0010715324177379
mat `T_V'[1,9] =  .0002044266698395
mat `T_V'[1,10] =  .0010055851425946
mat `T_V'[1,11] =  -.006928502435212
mat `T_V'[1,12] = -.0005288928515787
mat `T_V'[1,13] = -.0063996099180007
mat `T_V'[1,14] = -.0004743008257538
mat `T_V'[1,15] = -.0064542017457053
mat `T_V'[1,16] =  -.000475234306738
mat `T_V'[1,17] = -.0004408344040135
mat `T_V'[1,18] = -.0004580343192731
mat `T_V'[1,19] =  1.34239874164e-06
mat `T_V'[1,20] =  .0000631782477654
mat `T_V'[1,21] =  .0000322603611898
mat `T_V'[1,22] =  .0002362151621429
mat `T_V'[1,23] =  .0002199784800334
mat `T_V'[1,24] =  .0002280967806842
mat `T_V'[2,1] =   .000609210843307
mat `T_V'[2,2] =  .0004467012449659
mat `T_V'[2,3] =  .0001625095619142
mat `T_V'[2,4] =  .0004424459119399
mat `T_V'[2,5] =  .0001667649114634
mat `T_V'[2,6] =  .0001338006163458
mat `T_V'[2,7] =  .0000617869399231
mat `T_V'[2,8] =  .0000720136285304
mat `T_V'[2,9] =  .0000680697070873
mat `T_V'[2,10] =     .0000657308729
mat `T_V'[2,11] = -.0004754102381686
mat `T_V'[2,12] = -.0003814423736644
mat `T_V'[2,13] = -.0000939679058245
mat `T_V'[2,14] = -.0003643923809893
mat `T_V'[2,15] = -.0001110179250173
mat `T_V'[2,16] =  .0010018811184226
mat `T_V'[2,17] =  .0009960684491628
mat `T_V'[2,18] =  .0009989747768207
mat `T_V'[2,19] =  .0000379868825055
mat `T_V'[2,20] =  .0000436110443889
mat `T_V'[2,21] =  .0000407989658266
mat `T_V'[2,22] = -.0003619587929792
mat `T_V'[2,23] = -.0003496102720194
mat `T_V'[2,24] = -.0003557845275642
mat `T_V'[3,1] =  .0075293029944461
mat `T_V'[3,2] =  .0001625095619142
mat `T_V'[3,3] =  .0073667932683932
mat `T_V'[3,4] =  .0001571287348719
mat `T_V'[3,5] =   .007372174014802
mat `T_V'[3,6] =  .0010762108018755
mat `T_V'[3,7] =  .0000766921103007
mat `T_V'[3,8] =  .0009995189152577
mat `T_V'[3,9] =  .0001363569574494
mat `T_V'[3,10] =  .0009398543894873
mat `T_V'[3,11] = -.0064530918819878
mat `T_V'[3,12] = -.0001474504539969
mat `T_V'[3,13] = -.0063056417210379
mat `T_V'[3,14] = -.0001099084292332
mat `T_V'[3,15] = -.0063431835211636
mat `T_V'[3,16] =  -.001477115410025
mat `T_V'[3,17] = -.0014369028275134
mat `T_V'[3,18] = -.0014570090756945
mat `T_V'[3,19] = -.0000366445011263
mat `T_V'[3,20] =   .000019567191709
mat `T_V'[3,21] = -8.53861915176e-06
mat `T_V'[3,22] =  .0005981739513791
mat `T_V'[3,23] =  .0005695887421313
mat `T_V'[3,24] =  .0005838813014162
mat `T_V'[4,1] =  .0005995746783773
mat `T_V'[4,2] =  .0004424459119399
mat `T_V'[4,3] =  .0001571287348719
mat `T_V'[4,4] =  .0004396358578857
mat `T_V'[4,5] =  .0001599388035775
mat `T_V'[4,6] =   .000132963197203
mat `T_V'[4,7] =  .0000637714113407
mat `T_V'[4,8] =  .0000691917358586
mat `T_V'[4,9] =  .0000717813620832
mat `T_V'[4,10] =  .0000611817955822
mat `T_V'[4,11] = -.0004666114961799
mat `T_V'[4,12] = -.0003761868461717
mat `T_V'[4,13] = -.0000904246887853
mat `T_V'[4,14] = -.0003627550917022
mat `T_V'[4,15] = -.0001038564704753
mat `T_V'[4,16] =  .0009934292066562
mat `T_V'[4,17] =  .0009912171933928
mat `T_V'[4,18] =  .0009923231924811
mat `T_V'[4,19] =  .0000395367186372
mat `T_V'[4,20] =  .0000464535590524
mat `T_V'[4,21] =  .0000429951413095
mat `T_V'[4,22] = -.0003578952753423
mat `T_V'[4,23] = -.0003492983383162
mat `T_V'[4,24] = -.0003535968012563
mat `T_V'[5,1] =  .0075389390952655
mat `T_V'[5,2] =  .0001667649114634
mat `T_V'[5,3] =   .007372174014802
mat `T_V'[5,4] =  .0001599388035775
mat `T_V'[5,5] =  .0073790000439261
mat `T_V'[5,6] =   .001077048231033
mat `T_V'[5,7] =  .0000747076492763
mat `T_V'[5,8] =  .0010023408075509
mat `T_V'[5,9] =  .0001326453057061
mat `T_V'[5,10] =  .0009444034735673
mat `T_V'[5,11] = -.0064618905498514
mat `T_V'[5,12] = -.0001527059869136
mat `T_V'[5,13] =  -.006309184858528
mat `T_V'[5,14] = -.0001115457223589
mat `T_V'[5,15] = -.0063503448977418
mat `T_V'[5,16] = -.0014686634670041
mat `T_V'[5,17] = -.0014320515458846
mat `T_V'[5,18] = -.0014503574627982
mat `T_V'[5,19] = -.0000381943313823
mat `T_V'[5,20] =  .0000167246777156
mat `T_V'[5,21] = -.0000107347913617
mat `T_V'[5,22] =  .0005941104186589
mat `T_V'[5,23] =  .0005692767954217
mat `T_V'[5,24] =  .0005816935610634
mat `T_V'[6,1] =  .0012100113037312
mat `T_V'[6,2] =  .0001338006163458
mat `T_V'[6,3] =  .0010762108018755
mat `T_V'[6,4] =   .000132963197203
mat `T_V'[6,5] =   .001077048231033
mat `T_V'[6,6] =  .0027088273358909
mat `T_V'[6,7] =  .0003752872093661
mat `T_V'[6,8] =  .0023335400999472
mat `T_V'[6,9] =  .0003824349900765
mat `T_V'[6,10] =  .0023263917396181
mat `T_V'[6,11] =  .0014988155599396
mat `T_V'[6,12] =  .0002408945419453
mat `T_V'[6,13] =  .0012579210830599
mat `T_V'[6,14] =  .0002443895602794
mat `T_V'[6,15] =  .0012544260106659
mat `T_V'[6,16] =  .0000279706655804
mat `T_V'[6,17] =  .0000355280660918
mat `T_V'[6,18] =  .0000317493555766
mat `T_V'[6,19] =  .0000583206924546
mat `T_V'[6,20] =  .0000885600191703
mat `T_V'[6,21] =  .0000734403668119
mat `T_V'[6,22] =  .0000851665962701
mat `T_V'[6,23] =  .0001064171785587
mat `T_V'[6,24] =  .0000957918747434
mat `T_V'[7,1] =  .0001384790617839
mat `T_V'[7,2] =  .0000617869399231
mat `T_V'[7,3] =  .0000766921103007
mat `T_V'[7,4] =  .0000637714113407
mat `T_V'[7,5] =  .0000747076492763
mat `T_V'[7,6] =  .0003752872093661
mat `T_V'[7,7] =  .0002321072718585
mat `T_V'[7,8] =  .0001431800113975
mat `T_V'[7,9] =   .000229749981743
mat `T_V'[7,10] =  .0001455370993273
mat `T_V'[7,11] =  .0002368080822925
mat `T_V'[7,12] =  .0001671299689725
mat `T_V'[7,13] =  .0000696781751389
mat `T_V'[7,14] =   .000152658809067
mat `T_V'[7,15] =  .0000841492980594
mat `T_V'[7,16] =  .0001651099657261
mat `T_V'[7,17] =  .0001734806319821
mat `T_V'[7,18] =  .0001692952889378
mat `T_V'[7,19] =   .000143726136488
mat `T_V'[7,20] =  .0001452747845481
mat `T_V'[7,21] =  .0001445004609389
mat `T_V'[7,22] =  .0001573526115844
mat `T_V'[7,23] =  .0001453608667099
mat `T_V'[7,24] =  .0001513567364324
mat `T_V'[8,1] =  .0010715324177379
mat `T_V'[8,2] =  .0000720136285304
mat `T_V'[8,3] =  .0009995189152577
mat `T_V'[8,4] =  .0000691917358586
mat `T_V'[8,5] =  .0010023408075509
mat `T_V'[8,6] =  .0023335400999472
mat `T_V'[8,7] =  .0001431800113975
mat `T_V'[8,8] =  .0021903599880844
mat `T_V'[8,9] =  .0001526850805619
mat `T_V'[8,10] =  .0021808545414858
mat `T_V'[8,11] =  .0012620072752799
mat `T_V'[8,12] =  .0000737646955747
mat `T_V'[8,13] =   .001188242582952
mat `T_V'[8,14] =  .0000917308755018
mat `T_V'[8,15] =  .0011702763859499
mat `T_V'[8,16] = -.0001371395539544
mat `T_V'[8,17] =  -.000137952825131
mat `T_V'[8,18] =  -.000137546189886
mat `T_V'[8,19] = -.0000854053884553
mat `T_V'[8,20] = -.0000567147118987
mat `T_V'[8,21] = -.0000710600395984
mat `T_V'[8,22] = -.0000721858724516
mat `T_V'[8,23] = -.0000389435412292
mat `T_V'[8,24] = -.0000555647167966
mat `T_V'[9,1] =  .0002044266698395
mat `T_V'[9,2] =  .0000680697070873
mat `T_V'[9,3] =  .0001363569574494
mat `T_V'[9,4] =  .0000717813620832
mat `T_V'[9,5] =  .0001326453057061
mat `T_V'[9,6] =  .0003824349900765
mat `T_V'[9,7] =   .000229749981743
mat `T_V'[9,8] =  .0001526850805619
mat `T_V'[9,9] =  .0002403421834739
mat `T_V'[9,10] =  .0001420926622594
mat `T_V'[9,11] =  .0001780082254489
mat `T_V'[9,12] =   .000158833296865
mat `T_V'[9,13] =  .0000191750133548
mat `T_V'[9,14] =  .0001478889619311
mat `T_V'[9,15] =  .0000301192932285
mat `T_V'[9,16] =   .000163851771297
mat `T_V'[9,17] =   .000177387248146
mat `T_V'[9,18] =  .0001706194975978
mat `T_V'[9,19] =  .0001412627227061
mat `T_V'[9,20] =  .0001525790103911
mat `T_V'[9,21] =  .0001469208676462
mat `T_V'[9,22] =   .000154945069224
mat `T_V'[9,23] =  .0001460197616206
mat `T_V'[9,24] =  .0001504824151977
mat `T_V'[10,1] =  .0010055851425946
mat `T_V'[10,2] =     .0000657308729
mat `T_V'[10,3] =  .0009398543894873
mat `T_V'[10,4] =  .0000611817955822
mat `T_V'[10,5] =  .0009444034735673
mat `T_V'[10,6] =  .0023263917396181
mat `T_V'[10,7] =  .0001455370993273
mat `T_V'[10,8] =  .0021808545414858
mat `T_V'[10,9] =  .0001420926622594
mat `T_V'[10,10] =  .0021842986155077
mat `T_V'[10,11] =  .0013208062195925
mat `T_V'[10,12] =  .0000820611472053
mat `T_V'[10,13] =  .0012387450526819
mat `T_V'[10,14] =  .0000965005065849
mat `T_V'[10,15] =  .0012243056943027
mat `T_V'[10,16] = -.0001358813080778
mat `T_V'[10,17] = -.0001418593959869
mat `T_V'[10,18] = -.0001388703501682
mat `T_V'[10,19] = -.0000829420769583
mat `T_V'[10,20] = -.0000640190554654
mat `T_V'[10,21] = -.0000734805563099
mat `T_V'[10,22] = -.0000697784425219
mat `T_V'[10,23] = -.0000396025584833
mat `T_V'[10,24] =  -.000054690512949
mat `T_V'[11,1] =  -.006928502435212
mat `T_V'[11,2] = -.0004754102381686
mat `T_V'[11,3] = -.0064530918819878
mat `T_V'[11,4] = -.0004666114961799
mat `T_V'[11,5] = -.0064618905498514
mat `T_V'[11,6] =  .0014988155599396
mat `T_V'[11,7] =  .0002368080822925
mat `T_V'[11,8] =  .0012620072752799
mat `T_V'[11,9] =  .0001780082254489
mat `T_V'[11,10] =  .0013208062195925
mat `T_V'[11,11] =  .0084273172235576
mat `T_V'[11,12] =  .0007697873343835
mat `T_V'[11,13] =  .0076575302886066
mat `T_V'[11,14] =  .0007186903076644
mat `T_V'[11,15] =  .0077086270631454
mat `T_V'[11,16] =  .0005032047183002
mat `T_V'[11,17] =  .0004763622079993
mat `T_V'[11,18] =  .0004897834167875
mat `T_V'[11,19] =  .0000569782804863
mat `T_V'[11,20] =  .0000253817310992
mat `T_V'[11,21] =  .0000411799788559
mat `T_V'[11,22] = -.0001510485540496
mat `T_V'[11,23] = -.0001135613125262
mat `T_V'[11,24] = -.0001323049055549
mat `T_V'[12,1] = -.0005288928515787
mat `T_V'[12,2] = -.0003814423736644
mat `T_V'[12,3] = -.0001474504539969
mat `T_V'[12,4] = -.0003761868461717
mat `T_V'[12,5] = -.0001527059869136
mat `T_V'[12,6] =  .0002408945419453
mat `T_V'[12,7] =  .0001671299689725
mat `T_V'[12,8] =  .0000737646955747
mat `T_V'[12,9] =   .000158833296865
mat `T_V'[12,10] =  .0000820611472053
mat `T_V'[12,11] =  .0007697873343835
mat `T_V'[12,12] =  .0005436630866281
mat `T_V'[12,13] =  .0002261243567312
mat `T_V'[12,14] =  .0005160192311236
mat `T_V'[12,15] =  .0002537681946367
mat `T_V'[12,16] = -.0008137453339275
mat `T_V'[12,17] = -.0008024525090081
mat `T_V'[12,18] = -.0008080989248525
mat `T_V'[12,19] =  .0001034384314774
mat `T_V'[12,20] =  .0000995945858386
mat `T_V'[12,21] =  .0001015165064742
mat `T_V'[12,22] =  .0005076368947364
mat `T_V'[12,23] =  .0004880418680708
mat `T_V'[12,24] =  .0004978393742116
mat `T_V'[13,1] = -.0063996099180007
mat `T_V'[13,2] = -.0000939679058245
mat `T_V'[13,3] = -.0063056417210379
mat `T_V'[13,4] = -.0000904246887853
mat `T_V'[13,5] =  -.006309184858528
mat `T_V'[13,6] =  .0012579210830599
mat `T_V'[13,7] =  .0000696781751389
mat `T_V'[13,8] =   .001188242582952
mat `T_V'[13,9] =  .0000191750133548
mat `T_V'[13,10] =  .0012387450526819
mat `T_V'[13,11] =  .0076575302886066
mat `T_V'[13,12] =  .0002261243567312
mat `T_V'[13,13] =  .0074314062223329
mat `T_V'[13,14] =  .0002026711963083
mat `T_V'[13,15] =  .0074548591481741
mat `T_V'[13,16] =  .0013169501422091
mat `T_V'[13,17] =  .0012788148116794
mat `T_V'[13,18] =  .0012978824339667
mat `T_V'[13,19] = -.0000464601080454
mat `T_V'[13,20] = -.0000742127941145
mat `T_V'[13,21] =  -.000060336475833
mat `T_V'[13,22] = -.0006586853719454
mat `T_V'[13,23] = -.0006016030881386
mat `T_V'[13,24] =  -.000630144195117
mat `T_V'[14,1] = -.0004743008257538
mat `T_V'[14,2] = -.0003643923809893
mat `T_V'[14,3] = -.0001099084292332
mat `T_V'[14,4] = -.0003627550917022
mat `T_V'[14,5] = -.0001115457223589
mat `T_V'[14,6] =  .0002443895602794
mat `T_V'[14,7] =   .000152658809067
mat `T_V'[14,8] =  .0000917308755018
mat `T_V'[14,9] =  .0001478889619311
mat `T_V'[14,10] =  .0000965005065849
mat `T_V'[14,11] =  .0007186903076644
mat `T_V'[14,12] =  .0005160192311236
mat `T_V'[14,13] =  .0002026711963083
mat `T_V'[14,14] =  .0005043816129801
mat `T_V'[14,15] =  .0002143087933348
mat `T_V'[14,16] = -.0007831030375637
mat `T_V'[14,17] = -.0007809433297453
mat `T_V'[14,18] = -.0007820231872031
mat `T_V'[14,19] =  .0000922424496425
mat `T_V'[14,20] =   .000091068112967
mat `T_V'[14,21] =  .0000916552789862
mat `T_V'[14,22] =  .0004855903128796
mat `T_V'[14,23] =  .0004821469129681
mat `T_V'[14,24] =  .0004838686057745
mat `T_V'[15,1] = -.0064542017457053
mat `T_V'[15,2] = -.0001110179250173
mat `T_V'[15,3] = -.0063431835211636
mat `T_V'[15,4] = -.0001038564704753
mat `T_V'[15,5] = -.0063503448977418
mat `T_V'[15,6] =  .0012544260106659
mat `T_V'[15,7] =  .0000841492980594
mat `T_V'[15,8] =  .0011702763859499
mat `T_V'[15,9] =  .0000301192932285
mat `T_V'[15,10] =  .0012243056943027
mat `T_V'[15,11] =  .0077086270631454
mat `T_V'[15,12] =  .0002537681946367
mat `T_V'[15,13] =  .0074548591481741
mat `T_V'[15,14] =  .0002143087933348
mat `T_V'[15,15] =   .007494318318413
mat `T_V'[15,16] =  .0012863077427391
mat `T_V'[15,17] =  .0012573055238842
mat `T_V'[15,18] =   .001271806590498
mat `T_V'[15,19] = -.0000352641524941
mat `T_V'[15,20] = -.0000656863613627
mat `T_V'[15,21] = -.0000504752815467
mat `T_V'[15,22] =  -.000636638768328
mat `T_V'[15,23] = -.0005957081211477
mat `T_V'[15,24] = -.0006161734098555
mat `T_V'[16,1] =  -.000475234306738
mat `T_V'[16,2] =  .0010018811184226
mat `T_V'[16,3] =  -.001477115410025
mat `T_V'[16,4] =  .0009934292066562
mat `T_V'[16,5] = -.0014686634670041
mat `T_V'[16,6] =  .0000279706655804
mat `T_V'[16,7] =  .0001651099657261
mat `T_V'[16,8] = -.0001371395539544
mat `T_V'[16,9] =   .000163851771297
mat `T_V'[16,10] = -.0001358813080778
mat `T_V'[16,11] =  .0005032047183002
mat `T_V'[16,12] = -.0008137453339275
mat `T_V'[16,13] =  .0013169501422091
mat `T_V'[16,14] = -.0007831030375637
mat `T_V'[16,15] =  .0012863077427391
mat `T_V'[16,16] =  .0028536283612851
mat `T_V'[16,17] =  .0028297950692459
mat `T_V'[16,18] =  .0028417116772687
mat `T_V'[16,19] =  .0001300158953098
mat `T_V'[16,20] =  .0001282231206982
mat `T_V'[16,21] =  .0001291195089126
mat `T_V'[16,22] = -.0009342270977699
mat `T_V'[16,23] =  -.000898551382241
mat `T_V'[16,24] =  -.000916389224013
mat `T_V'[17,1] = -.0004408344040135
mat `T_V'[17,2] =  .0009960684491628
mat `T_V'[17,3] = -.0014369028275134
mat `T_V'[17,4] =  .0009912171933928
mat `T_V'[17,5] = -.0014320515458846
mat `T_V'[17,6] =  .0000355280660918
mat `T_V'[17,7] =  .0001734806319821
mat `T_V'[17,8] =  -.000137952825131
mat `T_V'[17,9] =   .000177387248146
mat `T_V'[17,10] = -.0001418593959869
mat `T_V'[17,11] =  .0004763622079993
mat `T_V'[17,12] = -.0008024525090081
mat `T_V'[17,13] =  .0012788148116794
mat `T_V'[17,14] = -.0007809433297453
mat `T_V'[17,15] =  .0012573055238842
mat `T_V'[17,16] =  .0028297950692459
mat `T_V'[17,17] =  .0028156833173018
mat `T_V'[17,18] =  .0028227391542512
mat `T_V'[17,19] =  .0001356653958643
mat `T_V'[17,20] =  .0001378303667885
mat `T_V'[17,21] =   .000136747882858
mat `T_V'[17,22] = -.0009202942590351
mat `T_V'[17,23] = -.0008945053720343
mat `T_V'[17,24] = -.0009073997981843
mat `T_V'[18,1] = -.0004580343192731
mat `T_V'[18,2] =  .0009989747768207
mat `T_V'[18,3] = -.0014570090756945
mat `T_V'[18,4] =  .0009923231924811
mat `T_V'[18,5] = -.0014503574627982
mat `T_V'[18,6] =  .0000317493555766
mat `T_V'[18,7] =  .0001692952889378
mat `T_V'[18,8] =  -.000137546189886
mat `T_V'[18,9] =  .0001706194975978
mat `T_V'[18,10] = -.0001388703501682
mat `T_V'[18,11] =  .0004897834167875
mat `T_V'[18,12] = -.0008080989248525
mat `T_V'[18,13] =  .0012978824339667
mat `T_V'[18,14] = -.0007820231872031
mat `T_V'[18,15] =   .001271806590498
mat `T_V'[18,16] =  .0028417116772687
mat `T_V'[18,17] =  .0028227391542512
mat `T_V'[18,18] =  .0028322253772503
mat `T_V'[18,19] =  .0001328406385838
mat `T_V'[18,20] =  .0001330267350322
mat `T_V'[18,21] =  .0001329336880281
mat `T_V'[18,22] = -.0009272606788161
mat `T_V'[18,23] = -.0008965283781337
mat `T_V'[18,24] = -.0009118945118034
mat `T_V'[19,1] =  1.34239874164e-06
mat `T_V'[19,2] =  .0000379868825055
mat `T_V'[19,3] = -.0000366445011263
mat `T_V'[19,4] =  .0000395367186372
mat `T_V'[19,5] = -.0000381943313823
mat `T_V'[19,6] =  .0000583206924546
mat `T_V'[19,7] =   .000143726136488
mat `T_V'[19,8] = -.0000854053884553
mat `T_V'[19,9] =  .0001412627227061
mat `T_V'[19,10] = -.0000829420769583
mat `T_V'[19,11] =  .0000569782804863
mat `T_V'[19,12] =  .0001034384314774
mat `T_V'[19,13] = -.0000464601080454
mat `T_V'[19,14] =  .0000922424496425
mat `T_V'[19,15] = -.0000352641524941
mat `T_V'[19,16] =  .0001300158953098
mat `T_V'[19,17] =  .0001356653958643
mat `T_V'[19,18] =  .0001328406385838
mat `T_V'[19,19] =  .0001035728310021
mat `T_V'[19,20] =  .0001021592197235
mat `T_V'[19,21] =  .0001028660247175
mat `T_V'[19,22] =   .000108559321976
mat `T_V'[19,23] =  .0000977677687871
mat `T_V'[19,24] =  .0001031635446603
mat `T_V'[20,1] =  .0000631782477654
mat `T_V'[20,2] =  .0000436110443889
mat `T_V'[20,3] =   .000019567191709
mat `T_V'[20,4] =  .0000464535590524
mat `T_V'[20,5] =  .0000167246777156
mat `T_V'[20,6] =  .0000885600191703
mat `T_V'[20,7] =  .0001452747845481
mat `T_V'[20,8] = -.0000567147118987
mat `T_V'[20,9] =  .0001525790103911
mat `T_V'[20,10] = -.0000640190554654
mat `T_V'[20,11] =  .0000253817310992
mat `T_V'[20,12] =  .0000995945858386
mat `T_V'[20,13] = -.0000742127941145
mat `T_V'[20,14] =   .000091068112967
mat `T_V'[20,15] = -.0000656863613627
mat `T_V'[20,16] =  .0001282231206982
mat `T_V'[20,17] =  .0001378303667885
mat `T_V'[20,18] =  .0001330267350322
mat `T_V'[20,19] =  .0001021592197235
mat `T_V'[20,20] =    .00010835237218
mat `T_V'[20,21] =  .0001052557959395
mat `T_V'[20,22] =  .0001078509057191
mat `T_V'[20,23] =  .0000995343847109
mat `T_V'[20,24] =  .0001036926462563
mat `T_V'[21,1] =  .0000322603611898
mat `T_V'[21,2] =  .0000407989658266
mat `T_V'[21,3] = -8.53861915176e-06
mat `T_V'[21,4] =  .0000429951413095
mat `T_V'[21,5] = -.0000107347913617
mat `T_V'[21,6] =  .0000734403668119
mat `T_V'[21,7] =  .0001445004609389
mat `T_V'[21,8] = -.0000710600395984
mat `T_V'[21,9] =  .0001469208676462
mat `T_V'[21,10] = -.0000734805563099
mat `T_V'[21,11] =  .0000411799788559
mat `T_V'[21,12] =  .0001015165064742
mat `T_V'[21,13] =  -.000060336475833
mat `T_V'[21,14] =  .0000916552789862
mat `T_V'[21,15] = -.0000504752815467
mat `T_V'[21,16] =  .0001291195089126
mat `T_V'[21,17] =   .000136747882858
mat `T_V'[21,18] =  .0001329336880281
mat `T_V'[21,19] =  .0001028660247175
mat `T_V'[21,20] =  .0001052557959395
mat `T_V'[21,21] =  .0001040609099997
mat `T_V'[21,22] =  .0001082051145912
mat `T_V'[21,23] =  .0000986510772896
mat `T_V'[21,24] =  .0001034280961005
mat `T_V'[22,1] =  .0002362151621429
mat `T_V'[22,2] = -.0003619587929792
mat `T_V'[22,3] =  .0005981739513791
mat `T_V'[22,4] = -.0003578952753423
mat `T_V'[22,5] =  .0005941104186589
mat `T_V'[22,6] =  .0000851665962701
mat `T_V'[22,7] =  .0001573526115844
mat `T_V'[22,8] = -.0000721858724516
mat `T_V'[22,9] =   .000154945069224
mat `T_V'[22,10] = -.0000697784425219
mat `T_V'[22,11] = -.0001510485540496
mat `T_V'[22,12] =  .0005076368947364
mat `T_V'[22,13] = -.0006586853719454
mat `T_V'[22,14] =  .0004855903128796
mat `T_V'[22,15] =  -.000636638768328
mat `T_V'[22,16] = -.0009342270977699
mat `T_V'[22,17] = -.0009202942590351
mat `T_V'[22,18] = -.0009272606788161
mat `T_V'[22,19] =   .000108559321976
mat `T_V'[22,20] =  .0001078509057191
mat `T_V'[22,21] =  .0001082051145912
mat `T_V'[22,22] =  .0005828100403528
mat `T_V'[22,23] =  .0005591456583062
mat `T_V'[22,24] =  .0005709778374446
mat `T_V'[23,1] =  .0002199784800334
mat `T_V'[23,2] = -.0003496102720194
mat `T_V'[23,3] =  .0005695887421313
mat `T_V'[23,4] = -.0003492983383162
mat `T_V'[23,5] =  .0005692767954217
mat `T_V'[23,6] =  .0001064171785587
mat `T_V'[23,7] =  .0001453608667099
mat `T_V'[23,8] = -.0000389435412292
mat `T_V'[23,9] =  .0001460197616206
mat `T_V'[23,10] = -.0000396025584833
mat `T_V'[23,11] = -.0001135613125262
mat `T_V'[23,12] =  .0004880418680708
mat `T_V'[23,13] = -.0006016030881386
mat `T_V'[23,14] =  .0004821469129681
mat `T_V'[23,15] = -.0005957081211477
mat `T_V'[23,16] =  -.000898551382241
mat `T_V'[23,17] = -.0008945053720343
mat `T_V'[23,18] = -.0008965283781337
mat `T_V'[23,19] =  .0000977677687871
mat `T_V'[23,20] =  .0000995343847109
mat `T_V'[23,21] =  .0000986510772896
mat `T_V'[23,22] =  .0005591456583062
mat `T_V'[23,23] =  .0005528546270973
mat `T_V'[23,24] =  .0005560001313043
mat `T_V'[24,1] =  .0002280967806842
mat `T_V'[24,2] = -.0003557845275642
mat `T_V'[24,3] =  .0005838813014162
mat `T_V'[24,4] = -.0003535968012563
mat `T_V'[24,5] =  .0005816935610634
mat `T_V'[24,6] =  .0000957918747434
mat `T_V'[24,7] =  .0001513567364324
mat `T_V'[24,8] = -.0000555647167966
mat `T_V'[24,9] =  .0001504824151977
mat `T_V'[24,10] =  -.000054690512949
mat `T_V'[24,11] = -.0001323049055549
mat `T_V'[24,12] =  .0004978393742116
mat `T_V'[24,13] =  -.000630144195117
mat `T_V'[24,14] =  .0004838686057745
mat `T_V'[24,15] = -.0006161734098555
mat `T_V'[24,16] =  -.000916389224013
mat `T_V'[24,17] = -.0009073997981843
mat `T_V'[24,18] = -.0009118945118034
mat `T_V'[24,19] =  .0001031635446603
mat `T_V'[24,20] =  .0001036926462563
mat `T_V'[24,21] =  .0001034280961005
mat `T_V'[24,22] =  .0005709778374446
mat `T_V'[24,23] =  .0005560001313043
mat `T_V'[24,24] =  .0005634889727333
tempname C_V
matrix `C_V' = e(V)
assert mreldif( `C_V' , `T_V' ) < 1E-8
_assert_streq `"`: rowfullnames `C_V''"' `"2/1:total 2/1:indirect1 2/1:direct1 2/1:indirect2 2/1:direct2 3/1:total 3/1:indirect1 3/1:direct1 3/1:indirect2 3/1:direct2 3/2:total 3/2:indirect1 3/2:direct1 3/2:indirect2 3/2:direct2 2/1r:method1 2/1r:method2 2/1r:average 3/1r:method1 3/1r:method2 3/1r:average 3/2r:method1 3/2r:method2 3/2r:average"'
_assert_streq `"`: colfullnames `C_V''"' `"2/1:total 2/1:indirect1 2/1:direct1 2/1:indirect2 2/1:direct2 3/1:total 3/1:indirect1 3/1:direct1 3/1:indirect2 3/1:direct2 3/2:total 3/2:indirect1 3/2:direct1 3/2:indirect2 3/2:direct2 2/1r:method1 2/1r:method2 2/1r:average 3/1r:method1 3/1r:method2 3/1r:average 3/2r:method1 3/2r:method2 3/2r:average"'
mat drop `C_V' `T_V'

tempname T_odds_pred 
mat `T_odds_pred' = J(3,3,0)
mat `T_odds_pred'[1,1] =  .3701672203983643
mat `T_odds_pred'[1,2] =  .5418312256458454
mat `T_odds_pred'[1,3] =  1.240037555561282
mat `T_odds_pred'[2,1] =  .3881132799038916
mat `T_odds_pred'[2,2] =  .5676402552538095
mat `T_odds_pred'[2,3] =  1.296287800253865
mat `T_odds_pred'[3,1] =   .429436852413248
mat `T_odds_pred'[3,2] =  .6262510786121416
mat `T_odds_pred'[3,3] =  1.416196560683456
tempname C_odds_pred
matrix `C_odds_pred' = e(odds_pred)
assert mreldif( `C_odds_pred' , `T_odds_pred' ) < 1E-8
_assert_streq `"`: rowfullnames `C_odds_pred''"' `"Unskilled Farming Skilled"'
_assert_streq `"`: colfullnames `C_odds_pred''"' `"association:Unskilled association:Farming association:Skilled"'
mat drop `C_odds_pred' `T_odds_pred'

tempname T_prop_pred 
mat `T_prop_pred' = J(3,3,0)
mat `T_prop_pred'[1,1] =  .2701620757579804
mat `T_prop_pred'[1,2] =  .3514205813407898
mat `T_prop_pred'[1,3] =  .5535789132118225
mat `T_prop_pred'[2,1] =  .2795976996421814
mat `T_prop_pred'[2,2] =  .3620985448360443
mat `T_prop_pred'[2,3] =  .5645145177841187
mat `T_prop_pred'[3,1] =   .300423800945282
mat `T_prop_pred'[3,2] =  .3850888013839722
mat `T_prop_pred'[3,3] =  .5861263871192932
tempname C_prop_pred
matrix `C_prop_pred' = e(prop_pred)
assert mreldif( `C_prop_pred' , `T_prop_pred' ) < 1E-8
_assert_streq `"`: rowfullnames `C_prop_pred''"' `"Unskilled Farming Skilled"'
_assert_streq `"`: colfullnames `C_prop_pred''"' `"association:Unskilled association:Farming association:Skilled"'
mat drop `C_prop_pred' `T_prop_pred'

tempname T_prop_obs 
mat `T_prop_obs' = J(3,1,0)
mat `T_prop_obs'[1,1] =  .2838252203909544
mat `T_prop_obs'[2,1] =   .380184331797235
mat `T_prop_obs'[3,1] =  .6189636940430032
tempname C_prop_obs
matrix `C_prop_obs' = e(prop_obs)
assert mreldif( `C_prop_obs' , `T_prop_obs' ) < 1E-8
_assert_streq `"`: rowfullnames `C_prop_obs''"' `"Unskilled Farming Skilled"'
_assert_streq `"`: colfullnames `C_prop_obs''"' `"proportion"'
mat drop `C_prop_obs' `T_prop_obs'

use bench/nlsw88, clear
ldecomp union south, direct(race) indirect(grade) seed(12345)

if c(stata_version) >= 10  {
_assert_streq `"`e(cmdline)'"' `"bootstrap , notable           seed(12345)  : _ldecomp union south, direct(race) indirect(grade) seed(12345)"'
}
assert `"`e(cmd)'"'        == `"bootstrap"'
assert `"`e(cmdname)'"'    == `"_ldecomp"'
assert `"`e(prefix)'"'     == `"bootstrap"'
assert `"`e(title)'"'      == `"Bootstrap results"'
assert `"`e(seed)'"'       == `"X246f113dc43f462544a474abacbdd93d0823"'
assert `"`e(vce)'"'        == `"bootstrap"'
assert `"`e(vcetype)'"'    == `"Bootstrap"'
assert `"`e(command)'"'    == `"_ldecomp union south, direct(race) indirect(grade) seed(12345) "'
assert `"`e(exp24)'"'      == `"[3/2r]_b[average]"'
assert `"`e(exp23)'"'      == `"[3/2r]_b[method2]"'
assert `"`e(exp22)'"'      == `"[3/2r]_b[method1]"'
assert `"`e(exp21)'"'      == `"[3/1r]_b[average]"'
assert `"`e(exp20)'"'      == `"[3/1r]_b[method2]"'
assert `"`e(exp19)'"'      == `"[3/1r]_b[method1]"'
assert `"`e(exp18)'"'      == `"[2/1r]_b[average]"'
assert `"`e(exp17)'"'      == `"[2/1r]_b[method2]"'
assert `"`e(exp16)'"'      == `"[2/1r]_b[method1]"'
assert `"`e(exp15)'"'      == `"[3/2]_b[direct2]"'
assert `"`e(exp14)'"'      == `"[3/2]_b[indirect2]"'
assert `"`e(exp13)'"'      == `"[3/2]_b[direct1]"'
assert `"`e(exp12)'"'      == `"[3/2]_b[indirect1]"'
assert `"`e(exp11)'"'      == `"[3/2]_b[total]"'
assert `"`e(exp10)'"'      == `"[3/1]_b[direct2]"'
assert `"`e(exp9)'"'       == `"[3/1]_b[indirect2]"'
assert `"`e(exp8)'"'       == `"[3/1]_b[direct1]"'
assert `"`e(exp7)'"'       == `"[3/1]_b[indirect1]"'
assert `"`e(exp6)'"'       == `"[3/1]_b[total]"'
assert `"`e(exp5)'"'       == `"[2/1]_b[direct2]"'
assert `"`e(exp4)'"'       == `"[2/1]_b[indirect2]"'
assert `"`e(exp3)'"'       == `"[2/1]_b[direct1]"'
assert `"`e(exp2)'"'       == `"[2/1]_b[indirect1]"'
assert `"`e(exp1)'"'       == `"[2/1]_b[total]"'
if c(stata_version) >= 10  {
	assert `"`e(properties)'"' == `"b V"'
}
else {
	assert `"`e(properties)'"' == `"b"'
}

assert         e(version)   == 3
assert         e(N_misreps) == 0
assert         e(N_reps)    == 50
assert         e(level)     == 95
assert         e(k_eform)   == 3
if c(stata_version) >= 11  {
	assert         e(rank)      == 14
}
assert         e(k_eq)      == 6
assert         e(k_exp)     == 0
assert         e(k_eexp)    == 24
assert         e(k_extra)   == 0
assert         e(N)         == 1876

tempname T_b 
mat `T_b' = J(1,24,0)
mat `T_b'[1,1] =  .6788087028545125
mat `T_b'[1,2] = -.0826304927145165
mat `T_b'[1,3] =  .7614391955690291
mat `T_b'[1,4] = -.0837534375976851
mat `T_b'[1,5] =  .7625621404521976
mat `T_b'[1,6] =  .3640472746438085
mat `T_b'[1,7] =  .0009291368998397
mat `T_b'[1,8] =  .3631181377439686
mat `T_b'[1,9] = -.0021570838100589
mat `T_b'[1,10] =  .3662043584538676
mat `T_b'[1,11] = -.3147614282107039
mat `T_b'[1,12] =  .0770883038048589
mat `T_b'[1,13] =  -.391849732015563
mat `T_b'[1,14] =  .0809327419247297
mat `T_b'[1,15] = -.3956941701354337
mat `T_b'[1,16] = -.1217286878719151
mat `T_b'[1,17] = -.1233829755651141
mat `T_b'[1,18] = -.1225558317185146
mat `T_b'[1,19] =  .0025522424271651
mat `T_b'[1,20] = -.0059252848745248
mat `T_b'[1,21] = -.0016865212236799
mat `T_b'[1,22] =  -.244910261854751
mat `T_b'[1,23] = -.2571240777016448
mat `T_b'[1,24] = -.2510171697781979
tempname C_b
matrix `C_b' = e(b)
assert mreldif( `C_b' , `T_b' ) < 1E-8
_assert_streq `"`: rowfullnames `C_b''"' `"y1"'
_assert_streq `"`: colfullnames `C_b''"' `"2/1:total 2/1:indirect1 2/1:direct1 2/1:indirect2 2/1:direct2 3/1:total 3/1:indirect1 3/1:direct1 3/1:indirect2 3/1:direct2 3/2:total 3/2:indirect1 3/2:direct1 3/2:indirect2 3/2:direct2 2/1r:method1 2/1r:method2 2/1r:average 3/1r:method1 3/1r:method2 3/1r:average 3/2r:method1 3/2r:method2 3/2r:average"'
mat drop `C_b' `T_b'

tempname T_V 
mat `T_V' = J(24,24,0)

mat `T_V'[1,1] =  .0209048521399167
mat `T_V'[1,2] =  .0003867509005975
mat `T_V'[1,3] =  .0205181012427243
mat `T_V'[1,4] =  .0003326333302004
mat `T_V'[1,5] =  .0205722183012957
mat `T_V'[1,6] =  .0072580352942039
mat `T_V'[1,7] = -.0005749848004042
mat `T_V'[1,8] =  .0078330197447913
mat `T_V'[1,9] =  -.000661341745261
mat `T_V'[1,10] =  .0079193767021007
mat `T_V'[1,11] = -.0136468174453839
mat `T_V'[1,12] = -.0012593844881089
mat `T_V'[1,13] = -.0123874329975046
mat `T_V'[1,14] = -.0010238722395181
mat `T_V'[1,15] = -.0126229445352905
mat `T_V'[1,16] =  .0054820486473136
mat `T_V'[1,17] =  .0054645743669373
mat `T_V'[1,18] =  .0054733113526165
mat `T_V'[1,19] = -.0154032290896825
mat `T_V'[1,20] = -.0158535759373571
mat `T_V'[1,21] = -.0156284024754851
mat `T_V'[1,22] = -.0197577694231311
mat `T_V'[1,23] = -.0200162103105092
mat `T_V'[1,24] = -.0198869900109908
mat `T_V'[2,1] =  .0003867509005975
mat `T_V'[2,2] =  .0004267793725379
mat `T_V'[2,3] = -.0000400284549966
mat `T_V'[2,4] =  .0004335249509744
mat `T_V'[2,5] = -.0000467740745474
mat `T_V'[2,6] =  .0014759471490696
mat `T_V'[2,7] =  .0000147109617905
mat `T_V'[2,8] =  .0014612361863214
mat `T_V'[2,9] =  .0000183802905803
mat `T_V'[2,10] =  .0014575668019346
mat `T_V'[2,11] =  .0010891961461623
mat `T_V'[2,12] = -.0004068801378821
mat `T_V'[2,13] =  .0014960763565481
mat `T_V'[2,14] = -.0004076346558242
mat `T_V'[2,15] =   .001496830875907
mat `T_V'[2,16] =  .0008220041440369
mat `T_V'[2,17] =  .0008336968093871
mat `T_V'[2,18] =   .000827850463859
mat `T_V'[2,19] =  .0043617879688244
mat `T_V'[2,20] =  .0043933581048989
mat `T_V'[2,21] =  .0043775729686099
mat `T_V'[2,22] = -.0003462511832639
mat `T_V'[2,23] = -.0003495860697172
mat `T_V'[2,24] = -.0003479186350142
mat `T_V'[3,1] =  .0205181012427243
mat `T_V'[3,2] = -.0000400284549966
mat `T_V'[3,3] =  .0205581296841829
mat `T_V'[3,4] = -.0001008916007323
mat `T_V'[3,5] =  .0206189923592069
mat `T_V'[3,6] =  .0057820882462189
mat `T_V'[3,7] = -.0005896957755592
mat `T_V'[3,8] =   .006371783672919
mat `T_V'[3,9] = -.0006797220338683
mat `T_V'[3,10] =  .0064618099992778
mat `T_V'[3,11] = -.0147360134938669
mat `T_V'[3,12] = -.0008525043469426
mat `T_V'[3,13] = -.0138835092596575
mat `T_V'[3,14] = -.0006162375995881
mat `T_V'[3,15] = -.0141197752976239
mat `T_V'[3,16] =  .0046600445665616
mat `T_V'[3,17] =  .0046308776266421
mat `T_V'[3,18] =  .0046454609549459
mat `T_V'[3,19] = -.0197650191242323
mat `T_V'[3,20] = -.0202469360786744
mat `T_V'[3,21] = -.0200059774951669
mat `T_V'[3,22] = -.0194115175062903
mat `T_V'[3,23] = -.0196666234451352
mat `T_V'[3,24] = -.0195390706113598
mat `T_V'[4,1] =  .0003326333302004
mat `T_V'[4,2] =  .0004335249509744
mat `T_V'[4,3] = -.0001008916007323
mat `T_V'[4,4] =  .0004409127312913
mat `T_V'[4,5] = -.0001082794234009
mat `T_V'[4,6] =  .0015330436668824
mat `T_V'[4,7] =  .0000232610383053
mat `T_V'[4,8] =  .0015097826295578
mat `T_V'[4,9] =  .0000269947648142
mat `T_V'[4,10] =  .0015060488453347
mat `T_V'[4,11] =  .0012004102338016
mat `T_V'[4,12] =  -.000402910260698
mat `T_V'[4,13] =  .0016033205670778
mat `T_V'[4,14] = -.0004058388977858
mat `T_V'[4,15] =  .0016062492048981
mat `T_V'[4,16] =  .0008224419906532
mat `T_V'[4,17] =   .000834988634943
mat `T_V'[4,18] =  .0008287152998487
mat `T_V'[4,19] =  .0045302215957964
mat `T_V'[4,20] =  .0045659082553094
mat `T_V'[4,21] =  .0045480648560805
mat `T_V'[4,22] =  -.000272728502377
mat `T_V'[4,23] = -.0002740170583595
mat `T_V'[4,24] = -.0002733727884806
mat `T_V'[5,1] =  .0205722183012957
mat `T_V'[5,2] = -.0000467740745474
mat `T_V'[5,3] =  .0206189923592069
mat `T_V'[5,4] = -.0001082794234009
mat `T_V'[5,5] =  .0206804972385867
mat `T_V'[5,6] =  .0057249914308801
mat `T_V'[5,7] = -.0005982460861569
mat `T_V'[5,8] =  .0063232371662395
mat `T_V'[5,9] = -.0006883367507663
mat `T_V'[5,10] =  .0064133279010158
mat `T_V'[5,11] = -.0148472273672066
mat `T_V'[5,12] = -.0008564744570697
mat `T_V'[5,13] = -.0139907530229447
mat `T_V'[5,14] = -.0006180335591624
mat `T_V'[5,15] = -.0142291932107795
mat `T_V'[5,16] =  .0046596065659645
mat `T_V'[5,17] =  .0046295856436671
mat `T_V'[5,18] =  .0046445959632563
mat `T_V'[5,19] = -.0199334525589913
mat `T_V'[5,20] =  -.020419486096329
mat `T_V'[5,21] = -.0201764692201531
mat `T_V'[5,22] =  -.019485038011943
mat `T_V'[5,23] = -.0197421903382231
mat `T_V'[5,24] = -.0196136143111413
mat `T_V'[6,1] =  .0072580352942039
mat `T_V'[6,2] =  .0014759471490696
mat `T_V'[6,3] =  .0057820882462189
mat `T_V'[6,4] =  .0015330436668824
mat `T_V'[6,5] =  .0057249914308801
mat `T_V'[6,6] =  .2090453482865461
mat `T_V'[6,7] = -.0077011396520619
mat `T_V'[6,8] =  .2167464903030065
mat `T_V'[6,9] = -.0091385695604988
mat `T_V'[6,10] =  .2181839178117875
mat `T_V'[6,11] =  .2017873149886746
mat `T_V'[6,12] =  -.009143052627208
mat `T_V'[6,13] =  .2109303666917483
mat `T_V'[6,14] = -.0103523865029366
mat `T_V'[6,15] =  .2121396992280742
mat `T_V'[6,16] =  .0055599827655224
mat `T_V'[6,17] =  .0056849914932749
mat `T_V'[6,18] =  .0056224866518924
mat `T_V'[6,19] =  .0251772971395561
mat `T_V'[6,20] =    .02477554244503
mat `T_V'[6,21] =  .0249764197525523
mat `T_V'[6,22] =   .012978036034812
mat `T_V'[6,23] =  .0127247945312083
mat `T_V'[6,24] =  .0128514151655537
mat `T_V'[7,1] = -.0005749848004042
mat `T_V'[7,2] =  .0000147109617905
mat `T_V'[7,3] = -.0005896957755592
mat `T_V'[7,4] =  .0000232610383053
mat `T_V'[7,5] = -.0005982460861569
mat `T_V'[7,6] = -.0077011396520619
mat `T_V'[7,7] =  .0050996713980092
mat `T_V'[7,8] = -.0128008110621008
mat `T_V'[7,9] =  .0052283278651038
mat `T_V'[7,10] = -.0129294673376576
mat `T_V'[7,11] = -.0071261550040019
mat `T_V'[7,12] =  .0053359881905221
mat `T_V'[7,13] =  -.012462143734649
mat `T_V'[7,14] =  .0051949165221494
mat `T_V'[7,15] = -.0123210714727275
mat `T_V'[7,16] =  .0000472879001528
mat `T_V'[7,17] =  .0000577652385507
mat `T_V'[7,18] =  .0000525266052993
mat `T_V'[7,19] =  .0161504052668988
mat `T_V'[7,20] =  .0167187466606905
mat `T_V'[7,21] =  .0164345759380553
mat `T_V'[7,22] = -.0134799540699861
mat `T_V'[7,23] = -.0132067318669866
mat `T_V'[7,24] = -.0133433429411793
mat `T_V'[8,1] =  .0078330197447913
mat `T_V'[8,2] =  .0014612361863214
mat `T_V'[8,3] =   .006371783672919
mat `T_V'[8,4] =  .0015097826295578
mat `T_V'[8,5] =  .0063232371662395
mat `T_V'[8,6] =  .2167464903030065
mat `T_V'[8,7] = -.0128008110621008
mat `T_V'[8,8] =  .2295473037415355
mat `T_V'[8,9] = -.0143668974400482
mat `T_V'[8,10] =  .2311133875282893
mat `T_V'[8,11] =   .208913472706892
mat `T_V'[8,12] = -.0144790408188749
mat `T_V'[8,13] =  .2233925131417573
mat `T_V'[8,14] = -.0155473030380211
mat `T_V'[8,15] =  .2244607734279522
mat `T_V'[8,16] =  .0055126948036192
mat `T_V'[8,17] =  .0056272261949082
mat `T_V'[8,18] =  .0055699599858099
mat `T_V'[8,19] =  .0090268921282111
mat `T_V'[8,20] =  .0080567960520003
mat `T_V'[8,21] =  .0085418440761043
mat `T_V'[8,22] =  .0264579895850953
mat `T_V'[8,23] =  .0259315258761769
mat `T_V'[8,24] =  .0261947575858726
mat `T_V'[9,1] =  -.000661341745261
mat `T_V'[9,2] =  .0000183802905803
mat `T_V'[9,3] = -.0006797220338683
mat `T_V'[9,4] =  .0000269947648142
mat `T_V'[9,5] = -.0006883367507663
mat `T_V'[9,6] = -.0091385695604988
mat `T_V'[9,7] =  .0052283278651038
mat `T_V'[9,8] = -.0143668974400482
mat `T_V'[9,9] =  .0053870673734175
mat `T_V'[9,10] = -.0145256367245261
mat `T_V'[9,11] = -.0084772279544741
mat `T_V'[9,12] =  .0054799991872412
mat `T_V'[9,13] = -.0139572277005971
mat `T_V'[9,14] =  .0053477398942995
mat `T_V'[9,15] = -.0138249677954121
mat `T_V'[9,16] =  .0000273710866864
mat `T_V'[9,17] =  .0000375513342845
mat `T_V'[9,18] =  .0000324612501864
mat `T_V'[9,19] =    .01651656905676
mat `T_V'[9,20] =  .0171209179891011
mat `T_V'[9,21] =  .0168187435116822
mat `T_V'[9,22] = -.0141794492522403
mat `T_V'[9,23] = -.0138808059210908
mat `T_V'[9,24] = -.0140301275642312
mat `T_V'[10,1] =  .0079193767021007
mat `T_V'[10,2] =  .0014575668019346
mat `T_V'[10,3] =  .0064618099992778
mat `T_V'[10,4] =  .0015060488453347
mat `T_V'[10,5] =  .0064133279010158
mat `T_V'[10,6] =  .2181839178117875
mat `T_V'[10,7] = -.0129294673376576
mat `T_V'[10,8] =  .2311133875282893
mat `T_V'[10,9] = -.0145256367245261
mat `T_V'[10,10] =  .2327095542916661
mat `T_V'[10,11] =  .2102645432452556
mat `T_V'[10,12] = -.0146230515636944
mat `T_V'[10,13] =  .2248875944436974
mat `T_V'[10,14] = -.0157001261338193
mat `T_V'[10,15] =  .2259646670621764
mat `T_V'[10,16] =  .0055326115386022
mat `T_V'[10,17] =  .0056474400178806
mat `T_V'[10,18] =  .0055900252610343
mat `T_V'[10,19] =  .0086607285143399
mat `T_V'[10,20] =  .0076546249178384
mat `T_V'[10,21] =  .0081576766875967
mat `T_V'[10,22] =  .0271574847367071
mat `T_V'[10,23] =  .0266055999192452
mat `T_V'[10,24] =  .0268815421880853
mat `T_V'[11,1] = -.0136468174453839
mat `T_V'[11,2] =  .0010891961461623
mat `T_V'[11,3] = -.0147360134938669
mat `T_V'[11,4] =  .0012004102338016
mat `T_V'[11,5] = -.0148472273672066
mat `T_V'[11,6] =  .2017873149886746
mat `T_V'[11,7] = -.0071261550040019
mat `T_V'[11,8] =   .208913472706892
mat `T_V'[11,9] = -.0084772279544741
mat `T_V'[11,10] =  .2102645432452556
mat `T_V'[11,11] =  .2154341350300626
mat `T_V'[11,12] = -.0078836681747932
mat `T_V'[11,13] =  .2233178023209509
mat `T_V'[11,14] = -.0093285142982779
mat `T_V'[11,15] =  .2247626463942279
mat `T_V'[11,16] =  .0000779338783374
mat `T_V'[11,17] =   .000220416885175
mat `T_V'[11,18] =  .0001491750587589
mat `T_V'[11,19] =  .0405805240735047
mat `T_V'[11,20] =  .0406291162307202
mat `T_V'[11,21] =  .0406048200743371
mat `T_V'[11,22] =  .0327358040608383
mat `T_V'[11,23] =  .0327410034513984
mat `T_V'[11,24] =  .0327384037828325
mat `T_V'[12,1] = -.0012593844881089
mat `T_V'[12,2] = -.0004068801378821
mat `T_V'[12,3] = -.0008525043469426
mat `T_V'[12,4] =  -.000402910260698
mat `T_V'[12,5] = -.0008564744570697
mat `T_V'[12,6] =  -.009143052627208
mat `T_V'[12,7] =  .0053359881905221
mat `T_V'[12,8] = -.0144790408188749
mat `T_V'[12,9] =  .0054799991872412
mat `T_V'[12,10] = -.0146230515636944
mat `T_V'[12,11] = -.0078836681747932
mat `T_V'[12,12] =  .0060406200956747
mat `T_V'[12,13] = -.0139242889401785
mat `T_V'[12,14] =  .0058667938968461
mat `T_V'[12,15] =  -.013750462099509
mat `T_V'[12,16] = -.0008364055570956
mat `T_V'[12,17] = -.0008357572999001
mat `T_V'[12,18] = -.0008360813757411
mat `T_V'[12,19] =   .012523188421752
mat `T_V'[12,20] =  .0131457077311488
mat `T_V'[12,21] =  .0128344481568046
mat `T_V'[12,22] = -.0139477072640053
mat `T_V'[12,23] = -.0136095899890802
mat `T_V'[12,24] = -.0137786486010822
mat `T_V'[13,1] = -.0123874329975046
mat `T_V'[13,2] =  .0014960763565481
mat `T_V'[13,3] = -.0138835092596575
mat `T_V'[13,4] =  .0016033205670778
mat `T_V'[13,5] = -.0139907530229447
mat `T_V'[13,6] =  .2109303666917483
mat `T_V'[13,7] =  -.012462143734649
mat `T_V'[13,8] =  .2233925131417573
mat `T_V'[13,9] = -.0139572277005971
mat `T_V'[13,10] =  .2248875944436974
mat `T_V'[13,11] =  .2233178023209509
mat `T_V'[13,12] = -.0139242889401785
mat `T_V'[13,13] =  .2372420910469357
mat `T_V'[13,14] = -.0151953088259166
mat `T_V'[13,15] =  .2385131082406249
mat `T_V'[13,16] =  .0009143394446773
mat `T_V'[13,17] =  .0010561741934373
mat `T_V'[13,18] =  .0009852564433032
mat `T_V'[13,19] =  .0280573347621132
mat `T_V'[13,20] =  .0274834075019295
mat `T_V'[13,21] =  .0277703709738916
mat `T_V'[13,22] =  .0466835129492337
mat `T_V'[13,23] =  .0463505950057283
mat `T_V'[13,24] =  .0465170539787346
mat `T_V'[14,1] = -.0010238722395181
mat `T_V'[14,2] = -.0004076346558242
mat `T_V'[14,3] = -.0006162375995881
mat `T_V'[14,4] = -.0004058388977858
mat `T_V'[14,5] = -.0006180335591624
mat `T_V'[14,6] = -.0103523865029366
mat `T_V'[14,7] =  .0051949165221494
mat `T_V'[14,8] = -.0155473030380211
mat `T_V'[14,9] =  .0053477398942995
mat `T_V'[14,10] = -.0157001261338193
mat `T_V'[14,11] = -.0093285142982779
mat `T_V'[14,12] =  .0058667938968461
mat `T_V'[14,13] = -.0151953088259166
mat `T_V'[14,14] =  .0057341876746178
mat `T_V'[14,15] = -.0150627019957978
mat `T_V'[14,16] = -.0007854655359066
mat `T_V'[14,17] = -.0007869961441768
mat `T_V'[14,18] = -.0007862307882747
mat `T_V'[14,19] =  .0121379519283271
mat `T_V'[14,20] =  .0127087127520234
mat `T_V'[14,21] =  .0124233323966309
mat `T_V'[14,22] = -.0138398343728755
mat `T_V'[14,23] = -.0135389324201533
mat `T_V'[14,24] = -.0136893833670848
mat `T_V'[15,1] = -.0126229445352905
mat `T_V'[15,2] =   .001496830875907
mat `T_V'[15,3] = -.0141197752976239
mat `T_V'[15,4] =  .0016062492048981
mat `T_V'[15,5] = -.0142291932107795
mat `T_V'[15,6] =  .2121396992280742
mat `T_V'[15,7] = -.0123210714727275
mat `T_V'[15,8] =  .2244607734279522
mat `T_V'[15,9] = -.0138249677954121
mat `T_V'[15,10] =  .2259646670621764
mat `T_V'[15,11] =  .2247626463942279
mat `T_V'[15,12] =  -.013750462099509
mat `T_V'[15,13] =  .2385131082406249
mat `T_V'[15,14] = -.0150627019957978
mat `T_V'[15,15] =  .2398253454788158
mat `T_V'[15,16] =  .0008633995570749
mat `T_V'[15,17] =  .0010074131717581
mat `T_V'[15,18] =  .0009354059896522
mat `T_V'[15,19] =  .0284425714184603
mat `T_V'[15,20] =  .0279204027367375
mat `T_V'[15,21] =  .0281814869433677
mat `T_V'[15,22] =  .0465756384638122
mat `T_V'[15,23] =  .0462799359185767
mat `T_V'[15,24] =  .0464277871884789
mat `T_V'[16,1] =  .0054820486473136
mat `T_V'[16,2] =  .0008220041440369
mat `T_V'[16,3] =  .0046600445665616
mat `T_V'[16,4] =  .0008224419906532
mat `T_V'[16,5] =  .0046596065659645
mat `T_V'[16,6] =  .0055599827655224
mat `T_V'[16,7] =  .0000472879001528
mat `T_V'[16,8] =  .0055126948036192
mat `T_V'[16,9] =  .0000273710866864
mat `T_V'[16,10] =  .0055326115386022
mat `T_V'[16,11] =  .0000779338783374
mat `T_V'[16,12] = -.0008364055570956
mat `T_V'[16,13] =  .0009143394446773
mat `T_V'[16,14] = -.0007854655359066
mat `T_V'[16,15] =  .0008633995570749
mat `T_V'[16,16] =  .0031041020242827
mat `T_V'[16,17] =  .0031276959518223
mat `T_V'[16,18] =  .0031158988988057
mat `T_V'[16,19] =  .0033031292044522
mat `T_V'[16,20] =  .0032492590169123
mat `T_V'[16,21] =  .0032761940756801
mat `T_V'[16,22] = -.0041631362602366
mat `T_V'[16,23] = -.0042490257683383
mat `T_V'[16,24] =  -.004206081101219
mat `T_V'[17,1] =  .0054645743669373
mat `T_V'[17,2] =  .0008336968093871
mat `T_V'[17,3] =  .0046308776266421
mat `T_V'[17,4] =   .000834988634943
mat `T_V'[17,5] =  .0046295856436671
mat `T_V'[17,6] =  .0056849914932749
mat `T_V'[17,7] =  .0000577652385507
mat `T_V'[17,8] =  .0056272261949082
mat `T_V'[17,9] =  .0000375513342845
mat `T_V'[17,10] =  .0056474400178806
mat `T_V'[17,11] =   .000220416885175
mat `T_V'[17,12] = -.0008357572999001
mat `T_V'[17,13] =  .0010561741934373
mat `T_V'[17,14] = -.0007869961441768
mat `T_V'[17,15] =  .0010074131717581
mat `T_V'[17,16] =  .0031276959518223
mat `T_V'[17,17] =  .0031527157060425
mat `T_V'[17,18] =  .0031402057385863
mat `T_V'[17,19] =  .0034866531614799
mat `T_V'[17,20] =  .0034366133971103
mat `T_V'[17,21] =  .0034616332428414
mat `T_V'[17,22] = -.0040956099135049
mat `T_V'[17,23] = -.0041799284837553
mat `T_V'[17,24] = -.0041377692852667
mat `T_V'[18,1] =  .0054733113526165
mat `T_V'[18,2] =   .000827850463859
mat `T_V'[18,3] =  .0046454609549459
mat `T_V'[18,4] =  .0008287152998487
mat `T_V'[18,5] =  .0046445959632563
mat `T_V'[18,6] =  .0056224866518924
mat `T_V'[18,7] =  .0000525266052993
mat `T_V'[18,8] =  .0055699599858099
mat `T_V'[18,9] =  .0000324612501864
mat `T_V'[18,10] =  .0055900252610343
mat `T_V'[18,11] =  .0001491750587589
mat `T_V'[18,12] = -.0008360813757411
mat `T_V'[18,13] =  .0009852564433032
mat `T_V'[18,14] = -.0007862307882747
mat `T_V'[18,15] =  .0009354059896522
mat `T_V'[18,16] =  .0031158988988057
mat `T_V'[18,17] =  .0031402057385863
mat `T_V'[18,18] =  .0031280522288996
mat `T_V'[18,19] =  .0033948907553647
mat `T_V'[18,20] =  .0033429357816438
mat `T_V'[18,21] =  .0033689132327764
mat `T_V'[18,22] = -.0041293734164032
mat `T_V'[18,23] = -.0042144774481335
mat `T_V'[18,24] = -.0041719255190524
mat `T_V'[19,1] = -.0154032290896825
mat `T_V'[19,2] =  .0043617879688244
mat `T_V'[19,3] = -.0197650191242323
mat `T_V'[19,4] =  .0045302215957964
mat `T_V'[19,5] = -.0199334525589913
mat `T_V'[19,6] =  .0251772971395561
mat `T_V'[19,7] =  .0161504052668988
mat `T_V'[19,8] =  .0090268921282111
mat `T_V'[19,9] =    .01651656905676
mat `T_V'[19,10] =  .0086607285143399
mat `T_V'[19,11] =  .0405805240735047
mat `T_V'[19,12] =   .012523188421752
mat `T_V'[19,13] =  .0280573347621132
mat `T_V'[19,14] =  .0121379519283271
mat `T_V'[19,15] =  .0284425714184603
mat `T_V'[19,16] =  .0033031292044522
mat `T_V'[19,17] =  .0034866531614799
mat `T_V'[19,18] =  .0033948907553647
mat `T_V'[19,19] =   .447848198911257
mat `T_V'[19,20] =  .4517760243434256
mat `T_V'[19,21] =  .4498121074275113
mat `T_V'[19,22] = -.0439327812812447
mat `T_V'[19,23] = -.0437503508949058
mat `T_V'[19,24] = -.0438415655967177
mat `T_V'[20,1] = -.0158535759373571
mat `T_V'[20,2] =  .0043933581048989
mat `T_V'[20,3] = -.0202469360786744
mat `T_V'[20,4] =  .0045659082553094
mat `T_V'[20,5] =  -.020419486096329
mat `T_V'[20,6] =    .02477554244503
mat `T_V'[20,7] =  .0167187466606905
mat `T_V'[20,8] =  .0080567960520003
mat `T_V'[20,9] =  .0171209179891011
mat `T_V'[20,10] =  .0076546249178384
mat `T_V'[20,11] =  .0406291162307202
mat `T_V'[20,12] =  .0131457077311488
mat `T_V'[20,13] =  .0274834075019295
mat `T_V'[20,14] =  .0127087127520234
mat `T_V'[20,15] =  .0279204027367375
mat `T_V'[20,16] =  .0032492590169123
mat `T_V'[20,17] =  .0034366133971103
mat `T_V'[20,18] =  .0033429357816438
mat `T_V'[20,19] =  .4517760243434256
mat `T_V'[20,20] =  .4558743838508071
mat `T_V'[20,21] =  .4538251999547101
mat `T_V'[20,22] = -.0455224002391552
mat `T_V'[20,23] =  -.045246641487818
mat `T_V'[20,24] = -.0453845203830011
mat `T_V'[21,1] = -.0156284024754851
mat `T_V'[21,2] =  .0043775729686099
mat `T_V'[21,3] = -.0200059774951669
mat `T_V'[21,4] =  .0045480648560805
mat `T_V'[21,5] = -.0201764692201531
mat `T_V'[21,6] =  .0249764197525523
mat `T_V'[21,7] =  .0164345759380553
mat `T_V'[21,8] =  .0085418440761043
mat `T_V'[21,9] =  .0168187435116822
mat `T_V'[21,10] =  .0081576766875967
mat `T_V'[21,11] =  .0406048200743371
mat `T_V'[21,12] =  .0128344481568046
mat `T_V'[21,13] =  .0277703709738916
mat `T_V'[21,14] =  .0124233323966309
mat `T_V'[21,15] =  .0281814869433677
mat `T_V'[21,16] =  .0032761940756801
mat `T_V'[21,17] =  .0034616332428414
mat `T_V'[21,18] =  .0033689132327764
mat `T_V'[21,19] =  .4498121074275113
mat `T_V'[21,20] =  .4538251999547101
mat `T_V'[21,21] =  .4518186495199933
mat `T_V'[21,22] = -.0447275908814662
mat `T_V'[21,23] = -.0444984962854247
mat `T_V'[21,24] =  -.044613043097524
mat `T_V'[22,1] = -.0197577694231311
mat `T_V'[22,2] = -.0003462511832639
mat `T_V'[22,3] = -.0194115175062903
mat `T_V'[22,4] =  -.000272728502377
mat `T_V'[22,5] =  -.019485038011943
mat `T_V'[22,6] =   .012978036034812
mat `T_V'[22,7] = -.0134799540699861
mat `T_V'[22,8] =  .0264579895850953
mat `T_V'[22,9] = -.0141794492522403
mat `T_V'[22,10] =  .0271574847367071
mat `T_V'[22,11] =  .0327358040608383
mat `T_V'[22,12] = -.0139477072640053
mat `T_V'[22,13] =  .0466835129492337
mat `T_V'[22,14] = -.0138398343728755
mat `T_V'[22,15] =  .0465756384638122
mat `T_V'[22,16] = -.0041631362602366
mat `T_V'[22,17] = -.0040956099135049
mat `T_V'[22,18] = -.0041293734164032
mat `T_V'[22,19] = -.0439327812812447
mat `T_V'[22,20] = -.0455224002391552
mat `T_V'[22,21] = -.0447275908814662
mat `T_V'[22,22] =   .383322320860111
mat `T_V'[22,23] =  .3833177392551996
mat `T_V'[22,24] =  .3833200310110213
mat `T_V'[23,1] = -.0200162103105092
mat `T_V'[23,2] = -.0003495860697172
mat `T_V'[23,3] = -.0196666234451352
mat `T_V'[23,4] = -.0002740170583595
mat `T_V'[23,5] = -.0197421903382231
mat `T_V'[23,6] =  .0127247945312083
mat `T_V'[23,7] = -.0132067318669866
mat `T_V'[23,8] =  .0259315258761769
mat `T_V'[23,9] = -.0138808059210908
mat `T_V'[23,10] =  .0266055999192452
mat `T_V'[23,11] =  .0327410034513984
mat `T_V'[23,12] = -.0136095899890802
mat `T_V'[23,13] =  .0463505950057283
mat `T_V'[23,14] = -.0135389324201533
mat `T_V'[23,15] =  .0462799359185767
mat `T_V'[23,16] = -.0042490257683383
mat `T_V'[23,17] = -.0041799284837553
mat `T_V'[23,18] = -.0042144774481335
mat `T_V'[23,19] = -.0437503508949058
mat `T_V'[23,20] =  -.045246641487818
mat `T_V'[23,21] = -.0444984962854247
mat `T_V'[23,22] =  .3833177392551996
mat `T_V'[23,23] =  .3834016561422191
mat `T_V'[23,24] =  .3833596986475767
mat `T_V'[24,1] = -.0198869900109908
mat `T_V'[24,2] = -.0003479186350142
mat `T_V'[24,3] = -.0195390706113598
mat `T_V'[24,4] = -.0002733727884806
mat `T_V'[24,5] = -.0196136143111413
mat `T_V'[24,6] =  .0128514151655537
mat `T_V'[24,7] = -.0133433429411793
mat `T_V'[24,8] =  .0261947575858726
mat `T_V'[24,9] = -.0140301275642312
mat `T_V'[24,10] =  .0268815421880853
mat `T_V'[24,11] =  .0327384037828325
mat `T_V'[24,12] = -.0137786486010822
mat `T_V'[24,13] =  .0465170539787346
mat `T_V'[24,14] = -.0136893833670848
mat `T_V'[24,15] =  .0464277871884789
mat `T_V'[24,16] =  -.004206081101219
mat `T_V'[24,17] = -.0041377692852667
mat `T_V'[24,18] = -.0041719255190524
mat `T_V'[24,19] = -.0438415655967177
mat `T_V'[24,20] = -.0453845203830011
mat `T_V'[24,21] =  -.044613043097524
mat `T_V'[24,22] =  .3833200310110213
mat `T_V'[24,23] =  .3833596986475767
mat `T_V'[24,24] =  .3833398657804162
tempname C_V
matrix `C_V' = e(V)
assert mreldif( `C_V' , `T_V' ) < 1E-8
_assert_streq `"`: rowfullnames `C_V''"' `"2/1:total 2/1:indirect1 2/1:direct1 2/1:indirect2 2/1:direct2 3/1:total 3/1:indirect1 3/1:direct1 3/1:indirect2 3/1:direct2 3/2:total 3/2:indirect1 3/2:direct1 3/2:indirect2 3/2:direct2 2/1r:method1 2/1r:method2 2/1r:average 3/1r:method1 3/1r:method2 3/1r:average 3/2r:method1 3/2r:method2 3/2r:average"'
_assert_streq `"`: colfullnames `C_V''"' `"2/1:total 2/1:indirect1 2/1:direct1 2/1:indirect2 2/1:direct2 3/1:total 3/1:indirect1 3/1:direct1 3/1:indirect2 3/1:direct2 3/2:total 3/2:indirect1 3/2:direct1 3/2:indirect2 3/2:direct2 2/1r:method1 2/1r:method2 2/1r:average 3/1r:method1 3/1r:method2 3/1r:average 3/2r:method1 3/2r:method2 3/2r:average"'
mat drop `C_V' `T_V'

tempname T_odds_pred 
mat `T_odds_pred' = J(3,3,0)
mat `T_odds_pred'[1,1] =  .2549902425853177
mat `T_odds_pred'[1,2] =  .5466383437022766
mat `T_odds_pred'[1,3] =  .3677596642392886
mat `T_odds_pred'[2,1] =   .234767294493967
mat `T_odds_pred'[2,2] =  .5027203156289698
mat `T_odds_pred'[2,3] =  .3384376271099714
mat `T_odds_pred'[3,1] =  .2552272735288486
mat `T_odds_pred'[3,2] =  .5430070410074389
mat `T_odds_pred'[3,3] =  .3669672308015016
tempname C_odds_pred
matrix `C_odds_pred' = e(odds_pred)
assert mreldif( `C_odds_pred' , `T_odds_pred' ) < 1E-8
_assert_streq `"`: rowfullnames `C_odds_pred''"' `"white black other"'
_assert_streq `"`: colfullnames `C_odds_pred''"' `"association:white association:black association:other"'
mat drop `C_odds_pred' `T_odds_pred'

tempname T_prop_pred 
mat `T_prop_pred' = J(3,3,0)
mat `T_prop_pred'[1,1] =  .2031810558622592
mat `T_prop_pred'[1,2] =  .3534364358210318
mat `T_prop_pred'[1,3] =  .2688774013845676
mat `T_prop_pred'[2,1] =  .1901308007920468
mat `T_prop_pred'[2,2] =  .3345401738436963
mat `T_prop_pred'[2,3] =  .2528602157134096
mat `T_prop_pred'[3,1] =  .2033315232319024
mat `T_prop_pred'[3,2] =  .3519148173509994
mat `T_prop_pred'[3,3] =  .2684535682587911
tempname C_prop_pred
matrix `C_prop_pred' = e(prop_pred)
assert mreldif( `C_prop_pred' , `T_prop_pred' ) < 1E-8
_assert_streq `"`: rowfullnames `C_prop_pred''"' `"white black other"'
_assert_streq `"`: colfullnames `C_prop_pred''"' `"association:white association:black association:other"'
mat drop `C_prop_pred' `T_prop_pred'

tempname T_prop_obs 
mat `T_prop_obs' = J(3,1,0)
mat `T_prop_obs'[1,1] =  .2233727810650888
mat `T_prop_obs'[2,1] =                 .3
mat `T_prop_obs'[3,1] =  .3333333333333333
tempname C_prop_obs
matrix `C_prop_obs' = e(prop_obs)
assert mreldif( `C_prop_obs' , `T_prop_obs' ) < 1E-8
_assert_streq `"`: rowfullnames `C_prop_obs''"' `"white black other"'
_assert_streq `"`: colfullnames `C_prop_obs''"' `"proportion"'
mat drop `C_prop_obs' `T_prop_obs'


ldecomp union south c_city, direct(race) indirect(grade) at(c_city 0; south 1) seed(12345)

if c(stata_version) >= 10  {
	_assert_streq `"`e(cmdline)'"' `"bootstrap , notable           seed(12345)  : _ldecomp union south c_city, direct(race) indirect(grade) at(c_city 0; south 1) seed(12345)"'
}
assert `"`e(cmd)'"'        == `"bootstrap"'
assert `"`e(cmdname)'"'    == `"_ldecomp"'
assert `"`e(prefix)'"'     == `"bootstrap"'
assert `"`e(title)'"'      == `"Bootstrap results"'
assert `"`e(seed)'"'       == `"X246f113dc43f462544a474abacbdd93d0823"'
assert `"`e(vce)'"'        == `"bootstrap"'
assert `"`e(vcetype)'"'    == `"Bootstrap"'
_assert_streq `"`e(command)'"' `"_ldecomp union south c_city, direct(race) indirect(grade) at(c_city 0; south 1) seed(12345) "'
assert `"`e(exp24)'"'      == `"[3/2r]_b[average]"'
assert `"`e(exp23)'"'      == `"[3/2r]_b[method2]"'
assert `"`e(exp22)'"'      == `"[3/2r]_b[method1]"'
assert `"`e(exp21)'"'      == `"[3/1r]_b[average]"'
assert `"`e(exp20)'"'      == `"[3/1r]_b[method2]"'
assert `"`e(exp19)'"'      == `"[3/1r]_b[method1]"'
assert `"`e(exp18)'"'      == `"[2/1r]_b[average]"'
assert `"`e(exp17)'"'      == `"[2/1r]_b[method2]"'
assert `"`e(exp16)'"'      == `"[2/1r]_b[method1]"'
assert `"`e(exp15)'"'      == `"[3/2]_b[direct2]"'
assert `"`e(exp14)'"'      == `"[3/2]_b[indirect2]"'
assert `"`e(exp13)'"'      == `"[3/2]_b[direct1]"'
assert `"`e(exp12)'"'      == `"[3/2]_b[indirect1]"'
assert `"`e(exp11)'"'      == `"[3/2]_b[total]"'
assert `"`e(exp10)'"'      == `"[3/1]_b[direct2]"'
assert `"`e(exp9)'"'       == `"[3/1]_b[indirect2]"'
assert `"`e(exp8)'"'       == `"[3/1]_b[direct1]"'
assert `"`e(exp7)'"'       == `"[3/1]_b[indirect1]"'
assert `"`e(exp6)'"'       == `"[3/1]_b[total]"'
assert `"`e(exp5)'"'       == `"[2/1]_b[direct2]"'
assert `"`e(exp4)'"'       == `"[2/1]_b[indirect2]"'
assert `"`e(exp3)'"'       == `"[2/1]_b[direct1]"'
assert `"`e(exp2)'"'       == `"[2/1]_b[indirect1]"'
assert `"`e(exp1)'"'       == `"[2/1]_b[total]"'
if c(stata_version) >= 10  {
	assert `"`e(properties)'"' == `"b V"'
}
else {
	assert `"`e(properties)'"' == `"b"'
}

assert         e(version)   == 3
assert         e(N_misreps) == 0
assert         e(N_reps)    == 50
assert         e(level)     == 95
assert         e(k_eform)   == 3
if c(stata_version) >= 11  {
	assert         e(rank)      == 14
}
assert         e(k_eq)      == 6
assert         e(k_exp)     == 0
assert         e(k_eexp)    == 24
assert         e(k_extra)   == 0
assert         e(N)         == 1876

tempname T_b 
mat `T_b' = J(1,24,0)
mat `T_b'[1,1] =  .5732397745418535
mat `T_b'[1,2] = -.0766897560477792
mat `T_b'[1,3] =  .6499295305896327
mat `T_b'[1,4] = -.0771972631544904
mat `T_b'[1,5] =  .6504370376963439
mat `T_b'[1,6] =  .3549185359163451
mat `T_b'[1,7] =  .0025358613858818
mat `T_b'[1,8] =  .3523826745304631
mat `T_b'[1,9] =  .0009218780478973
mat `T_b'[1,10] =  .3539966578684479
mat `T_b'[1,11] = -.2183212386255084
mat `T_b'[1,12] =  .0763203018796549
mat `T_b'[1,13] = -.2946415405051633
mat `T_b'[1,14] =  .0778522400805571
mat `T_b'[1,15] = -.2961734787060654
mat `T_b'[1,16] =   -.13378303365127
mat `T_b'[1,17] = -.1346683649371474
mat `T_b'[1,18] = -.1342256992942087
mat `T_b'[1,19] =  .0071449110972314
mat `T_b'[1,20] =  .0025974356214367
mat `T_b'[1,21] =  .0048711733593341
mat `T_b'[1,22] = -.3495779996492643
mat `T_b'[1,23] = -.3565948991985102
mat `T_b'[1,24] = -.3530864494238873
tempname C_b
matrix `C_b' = e(b)
assert mreldif( `C_b' , `T_b' ) < 1E-8
_assert_streq `"`: rowfullnames `C_b''"' `"y1"'
_assert_streq `"`: colfullnames `C_b''"' `"2/1:total 2/1:indirect1 2/1:direct1 2/1:indirect2 2/1:direct2 3/1:total 3/1:indirect1 3/1:direct1 3/1:indirect2 3/1:direct2 3/2:total 3/2:indirect1 3/2:direct1 3/2:indirect2 3/2:direct2 2/1r:method1 2/1r:method2 2/1r:average 3/1r:method1 3/1r:method2 3/1r:average 3/2r:method1 3/2r:method2 3/2r:average"'
mat drop `C_b' `T_b'

tempname T_V 
mat `T_V' = J(24,24,0)
mat `T_V'[1,1] =  .0241663967727067
mat `T_V'[1,2] =  .0003966877626329
mat `T_V'[1,3] =  .0237697089491162
mat `T_V'[1,4] =  .0003600123371649
mat `T_V'[1,5] =  .0238063840652549
mat `T_V'[1,6] =  .0089296748122888
mat `T_V'[1,7] = -.0000290578355023
mat `T_V'[1,8] =  .0089587328767762
mat `T_V'[1,9] = -.0000930425869729
mat `T_V'[1,10] =  .0090227174389933
mat `T_V'[1,11] = -.0152367212117063
mat `T_V'[1,12] = -.0006513522376642
mat `T_V'[1,13] = -.0145853693901146
mat `T_V'[1,14] = -.0004733612031921
mat `T_V'[1,15] = -.0147633605813684
mat `T_V'[1,16] =  .0122119314156432
mat `T_V'[1,17] =  .0122060449867324
mat `T_V'[1,18] =  .0122089884371785
mat `T_V'[1,19] =   .011721987633019
mat `T_V'[1,20] =  .0115086655767638
mat `T_V'[1,21] =  .0116153275083805
mat `T_V'[1,22] =  .0047486368936574
mat `T_V'[1,23] =  .0046103433918355
mat `T_V'[1,24] =   .004679489751724
mat `T_V'[2,1] =  .0003966877626329
mat `T_V'[2,2] =  .0004144282210178
mat `T_V'[2,3] = -.0000177403450485
mat `T_V'[2,4] =    .00041774020219
mat `T_V'[2,5] = -.0000210523449259
mat `T_V'[2,6] =  .0015053478762715
mat `T_V'[2,7] =  .0000191390378576
mat `T_V'[2,8] =  .0014862088672945
mat `T_V'[2,9] =  .0000214197673349
mat `T_V'[2,10] =  .0014839281253777
mat `T_V'[2,11] =  .0011086601474868
mat `T_V'[2,12] = -.0003889009410444
mat `T_V'[2,13] =  .0014975610923136
mat `T_V'[2,14] =  -.000392594151864
mat `T_V'[2,15] =  .0015012542769957
mat `T_V'[2,16] =  .0012651147280996
mat `T_V'[2,17] =  .0012723796419842
mat `T_V'[2,18] =  .0012687471856968
mat `T_V'[2,19] =  -.001070223587675
mat `T_V'[2,20] = -.0010682402496895
mat `T_V'[2,21] = -.0010692320103773
mat `T_V'[2,22] =   .001683289400235
mat `T_V'[2,23] =  .0016892064668215
mat `T_V'[2,24] =  .0016862478717322
mat `T_V'[3,1] =  .0237697089491162
mat `T_V'[3,2] = -.0000177403450485
mat `T_V'[3,3] =   .023787449119871
mat `T_V'[3,4] = -.0000577277507266
mat `T_V'[3,5] =  .0238274362349249
mat `T_V'[3,6] =  .0074243279548619
mat `T_V'[3,7] = -.0000481965473547
mat `T_V'[3,8] =  .0074725247023211
mat `T_V'[3,9] = -.0001144620239359
mat `T_V'[3,10] =  .0075387900020883
mat `T_V'[3,11] = -.0163453802793911
mat `T_V'[3,12] = -.0002624510589304
mat `T_V'[3,13] = -.0160829296403155
mat `T_V'[3,14] = -.0000807668329201
mat `T_V'[3,15] =   -.01626461399697
mat `T_V'[3,16] =  .0109468168234113
mat `T_V'[3,17] =  .0109336654812642
mat `T_V'[3,18] =  .0109402413876736
mat `T_V'[3,19] =  .0127922144139598
mat `T_V'[3,20] =  .0125769090714618
mat `T_V'[3,21] =  .0126845627378949
mat `T_V'[3,22] =  .0030653445832679
mat `T_V'[3,23] =  .0029211340384875
mat `T_V'[3,24] =  .0029932389816512
mat `T_V'[4,1] =  .0003600123371649
mat `T_V'[4,2] =    .00041774020219
mat `T_V'[4,3] = -.0000577277507266
mat `T_V'[4,4] =  .0004212409569565
mat `T_V'[4,5] = -.0000612285243418
mat `T_V'[4,6] =  .0015334620592546
mat `T_V'[4,7] =  .0000231301332793
mat `T_V'[4,8] =  .0015103319548358
mat `T_V'[4,9] =  .0000254830974527
mat `T_V'[4,10] =  .0015079789782539
mat `T_V'[4,11] =  .0011734497546578
mat `T_V'[4,12] = -.0003873013371537
mat `T_V'[4,13] =  .0015607510964977
mat `T_V'[4,14] =  -.000391873305443
mat `T_V'[4,15] =  .0015653230383095
mat `T_V'[4,16] =  .0012604388777579
mat `T_V'[4,17] =  .0012679663362694
mat `T_V'[4,18] =  .0012642026073809
mat `T_V'[4,19] = -.0010811541265626
mat `T_V'[4,20] = -.0010779444553746
mat `T_V'[4,21] = -.0010795493853971
mat `T_V'[4,22] =  .0016792926089014
mat `T_V'[4,23] =  .0016860149593438
mat `T_V'[4,24] =  .0016826537218888
mat `T_V'[5,1] =  .0238063840652549
mat `T_V'[5,2] = -.0000210523449259
mat `T_V'[5,3] =  .0238274362349249
mat `T_V'[5,4] = -.0000612285243418
mat `T_V'[5,5] =  .0238676121238606
mat `T_V'[5,6] =  .0073962128783704
mat `T_V'[5,7] = -.0000521880748571
mat `T_V'[5,8] =  .0074484011533521
mat `T_V'[5,9] = -.0001185257934953
mat `T_V'[5,10] =  .0075147386951452
mat `T_V'[5,11] = -.0164101704707412
mat `T_V'[5,12] = -.0002640511000031
mat `T_V'[5,13] = -.0161461197914967
mat `T_V'[5,14] = -.0000814881001802
mat `T_V'[5,15] =  -.016328682921624
mat `T_V'[5,16] =  .0109514924315618
mat `T_V'[5,17] =  .0109380785443629
mat `T_V'[5,18] =  .0109447857235858
mat `T_V'[5,19] =  .0128031422545337
mat `T_V'[5,20] =  .0125866105297301
mat `T_V'[5,21] =  .0126948773900495
mat `T_V'[5,22] =  .0030693449661682
mat `T_V'[5,23] =  .0029243291104189
mat `T_V'[5,24] =   .002996836709505
mat `T_V'[6,1] =  .0089296748122888
mat `T_V'[6,2] =  .0015053478762715
mat `T_V'[6,3] =  .0074243279548619
mat `T_V'[6,4] =  .0015334620592546
mat `T_V'[6,5] =  .0073962128783704
mat `T_V'[6,6] =  .2212815721209474
mat `T_V'[6,7] = -.0077843181157476
mat `T_V'[6,8] =  .2290658921547771
mat `T_V'[6,9] = -.0086545261741073
mat `T_V'[6,10] =  .2299361007963967
mat `T_V'[6,11] =  .2123518962326469
mat `T_V'[6,12] = -.0092656627384753
mat `T_V'[6,13] =  .2216175594641164
mat `T_V'[6,14] = -.0100057494057419
mat `T_V'[6,15] =  .2223576507442195
mat `T_V'[6,16] =  .0124480087357063
mat `T_V'[6,17] =  .0125381060920599
mat `T_V'[6,18] =  .0124930577636369
mat `T_V'[6,19] =  .0587688477019346
mat `T_V'[6,20] =  .0586841044345764
mat `T_V'[6,21] =  .0587264778293483
mat `T_V'[6,22] =  .0517868121196109
mat `T_V'[6,23] =  .0516228774404185
mat `T_V'[6,24] =  .0517048441905544
mat `T_V'[7,1] = -.0000290578355023
mat `T_V'[7,2] =  .0000191390378576
mat `T_V'[7,3] = -.0000481965473547
mat `T_V'[7,4] =  .0000231301332793
mat `T_V'[7,5] = -.0000521880748571
mat `T_V'[7,6] = -.0077843181157476
mat `T_V'[7,7] =  .0043681993999744
mat `T_V'[7,8] = -.0121525175916273
mat `T_V'[7,9] =  .0044359100216956
mat `T_V'[7,10] =  -.012220228203599
mat `T_V'[7,11] = -.0077552601080945
mat `T_V'[7,12] =  .0044699317155107
mat `T_V'[7,13] = -.0122251918171538
mat `T_V'[7,14] =  .0044067561657395
mat `T_V'[7,15] = -.0121620164776811
mat `T_V'[7,16] =  .0003675756780651
mat `T_V'[7,17] =   .000372929208776
mat `T_V'[7,18] =  .0003702524156293
mat `T_V'[7,19] =  .0068213279993708
mat `T_V'[7,20] =  .0070725219101072
mat `T_V'[7,21] =  .0069469244634674
mat `T_V'[7,22] = -.0142539841595448
mat `T_V'[7,23] =  -.014097380203652
mat `T_V'[7,24] = -.0141756822210409
mat `T_V'[8,1] =  .0089587328767762
mat `T_V'[8,2] =  .0014862088672945
mat `T_V'[8,3] =  .0074725247023211
mat `T_V'[8,4] =  .0015103319548358
mat `T_V'[8,5] =  .0074484011533521
mat `T_V'[8,6] =  .2290658921547771
mat `T_V'[8,7] = -.0121525175916273
mat `T_V'[8,8] =  .2412184117403919
mat `T_V'[8,9] = -.0130904362729263
mat `T_V'[8,10] =  .2421563309952013
mat `T_V'[8,11] =  .2201071580298383
mat `T_V'[8,12] = -.0137355945511674
mat `T_V'[8,13] =  .2338427530675487
mat `T_V'[8,14] =  -.014412505677129
mat `T_V'[8,15] =   .234519669016645
mat `T_V'[8,16] =  .0120804332514024
mat `T_V'[8,17] =  .0121651770777086
mat `T_V'[8,18] =  .0121228055421006
mat `T_V'[8,19] =  .0519475201777851
mat `T_V'[8,20] =  .0516115830135968
mat `T_V'[8,21] =  .0517795538480554
mat `T_V'[8,22] =  .0660407982748327
mat `T_V'[8,23] =  .0657202596505873
mat `T_V'[8,24] =  .0658805284126922
mat `T_V'[9,1] = -.0000930425869729
mat `T_V'[9,2] =  .0000214197673349
mat `T_V'[9,3] = -.0001144620239359
mat `T_V'[9,4] =  .0000254830974527
mat `T_V'[9,5] = -.0001185257934953
mat `T_V'[9,6] = -.0086545261741073
mat `T_V'[9,7] =  .0044359100216956
mat `T_V'[9,8] = -.0130904362729263
mat `T_V'[9,9] =  .0045145181385301
mat `T_V'[9,10] = -.0131690444007621
mat `T_V'[9,11] = -.0085614834049617
mat `T_V'[9,12] =  .0045412154645868
mat `T_V'[9,13] = -.0131026988699617
mat `T_V'[9,14] =  .0044823410489602
mat `T_V'[9,15] = -.0130438246656289
mat `T_V'[9,16] =  .0003414999623226
mat `T_V'[9,17] =   .000346752043081
mat `T_V'[9,18] =  .0003441259762069
mat `T_V'[9,19] =   .006793584107309
mat `T_V'[9,20] =  .0070558963132722
mat `T_V'[9,21] =  .0069247397048514
mat `T_V'[9,22] = -.0146625909677362
mat `T_V'[9,23] = -.0144959303574509
mat `T_V'[9,24] = -.0145792607025547
mat `T_V'[10,1] =  .0090227174389933
mat `T_V'[10,2] =  .0014839281253777
mat `T_V'[10,3] =  .0075387900020883
mat `T_V'[10,4] =  .0015079789782539
mat `T_V'[10,5] =  .0075147386951452
mat `T_V'[10,6] =  .2299361007963967
mat `T_V'[10,7] =  -.012220228203599
mat `T_V'[10,8] =  .2421563309952013
mat `T_V'[10,9] = -.0131690444007621
mat `T_V'[10,10] =  .2431051477866257
mat `T_V'[10,11] =   .220913382099219
mat `T_V'[10,12] = -.0138068783001761
mat `T_V'[10,13] =  .2347202608928026
mat `T_V'[10,14] = -.0144880905584683
mat `T_V'[10,15] =  .2354014779752251
mat `T_V'[10,16] =  .0121065088493321
mat `T_V'[10,17] =   .012191354124882
mat `T_V'[10,18] =  .0121489318633558
mat `T_V'[10,19] =    .05197526469438
mat `T_V'[10,20] =  .0516282092001298
mat `T_V'[10,21] =   .051801739213787
mat `T_V'[10,22] =  .0664494056734022
mat `T_V'[10,23] =  .0661188103656826
mat `T_V'[10,24] =  .0662841074700432
mat `T_V'[11,1] = -.0152367212117063
mat `T_V'[11,2] =  .0011086601474868
mat `T_V'[11,3] = -.0163453802793911
mat `T_V'[11,4] =  .0011734497546578
mat `T_V'[11,5] = -.0164101704707412
mat `T_V'[11,6] =  .2123518962326469
mat `T_V'[11,7] = -.0077552601080945
mat `T_V'[11,8] =  .2201071580298383
mat `T_V'[11,9] = -.0085614834049617
mat `T_V'[11,10] =   .220913382099219
mat `T_V'[11,11] =  .2275886156196302
mat `T_V'[11,12] =  -.008614310367022
mat `T_V'[11,13] =  .2362029268957188
mat `T_V'[11,14] = -.0095323880567966
mat `T_V'[11,15] =  .2371210093551115
mat `T_V'[11,16] =  .0002360778071736
mat `T_V'[11,17] =  .0003320615917642
mat `T_V'[11,18] =  .0002840698132321
mat `T_V'[11,19] =  .0470468582710437
mat `T_V'[11,20] =  .0471754370546114
mat `T_V'[11,21] =  .0471111485204312
mat `T_V'[11,22] =   .047038177708612
mat `T_V'[11,23] =  .0470125365405461
mat `T_V'[11,24] =  .0470253569261411
mat `T_V'[12,1] = -.0006513522376642
mat `T_V'[12,2] = -.0003889009410444
mat `T_V'[12,3] = -.0002624510589304
mat `T_V'[12,4] = -.0003873013371537
mat `T_V'[12,5] = -.0002640511000031
mat `T_V'[12,6] = -.0092656627384753
mat `T_V'[12,7] =  .0044699317155107
mat `T_V'[12,8] = -.0137355945511674
mat `T_V'[12,9] =  .0045412154645868
mat `T_V'[12,10] = -.0138068783001761
mat `T_V'[12,11] =  -.008614310367022
mat `T_V'[12,12] =  .0049900615548296
mat `T_V'[12,13] = -.0136043719250552
mat `T_V'[12,14] =  .0049194765155845
mat `T_V'[12,15] = -.0135337870598791
mat `T_V'[12,16] = -.0009659974405546
mat `T_V'[12,17] = -.0009671190058279
mat `T_V'[12,18] = -.0009665582537886
mat `T_V'[12,19] =  .0084029790281211
mat `T_V'[12,20] =  .0086800976321435
mat `T_V'[12,21] =  .0085415378998602
mat `T_V'[12,22] = -.0162796671802951
mat `T_V'[12,23] = -.0161080360462776
mat `T_V'[12,24] = -.0161938515939729
mat `T_V'[13,1] = -.0145853693901146
mat `T_V'[13,2] =  .0014975610923136
mat `T_V'[13,3] = -.0160829296403155
mat `T_V'[13,4] =  .0015607510964977
mat `T_V'[13,5] = -.0161461197914967
mat `T_V'[13,6] =  .2216175594641164
mat `T_V'[13,7] = -.0122251918171538
mat `T_V'[13,8] =  .2338427530675487
mat `T_V'[13,9] = -.0131026988699617
mat `T_V'[13,10] =  .2347202608928026
mat `T_V'[13,11] =  .2362029268957188
mat `T_V'[13,12] = -.0136043719250552
mat `T_V'[13,13] =  .2498072997330442
mat `T_V'[13,14] = -.0144518645762714
mat `T_V'[13,15] =  .2506547973279475
mat `T_V'[13,16] =  .0012020751263747
mat `T_V'[13,17] =  .0012991804774051
mat `T_V'[13,18] =  .0012506279462505
mat `T_V'[13,19] =   .038643877317598
mat `T_V'[13,20] =  .0384953374741272
mat `T_V'[13,21] =  .0385696086837383
mat `T_V'[13,22] =  .0633178442720599
mat `T_V'[13,23] =  .0631205719604852
mat `T_V'[13,24] =  .0632192078985212
mat `T_V'[14,1] = -.0004733612031921
mat `T_V'[14,2] =  -.000392594151864
mat `T_V'[14,3] = -.0000807668329201
mat `T_V'[14,4] =  -.000391873305443
mat `T_V'[14,5] = -.0000814881001802
mat `T_V'[14,6] = -.0100057494057419
mat `T_V'[14,7] =  .0044067561657395
mat `T_V'[14,8] =  -.014412505677129
mat `T_V'[14,9] =  .0044823410489602
mat `T_V'[14,10] = -.0144880905584683
mat `T_V'[14,11] = -.0095323880567966
mat `T_V'[14,12] =  .0049194765155845
mat `T_V'[14,13] = -.0144518645762714
mat `T_V'[14,14] =  .0048639474941647
mat `T_V'[14,15] = -.0143963357365865
mat `T_V'[14,16] = -.0009102385356891
mat `T_V'[14,17] = -.0009122522230707
mat `T_V'[14,18] = -.0009112454060591
mat `T_V'[14,19] =  .0078829274724463
mat `T_V'[14,20] =  .0081427282960497
mat `T_V'[14,21] =  .0080128274720662
mat `T_V'[14,22] = -.0162988908788859
mat `T_V'[14,23] = -.0161384926700203
mat `T_V'[14,24] = -.0162186917525932
mat `T_V'[15,1] = -.0147633605813684
mat `T_V'[15,2] =  .0015012542769957
mat `T_V'[15,3] =   -.01626461399697
mat `T_V'[15,4] =  .0015653230383095
mat `T_V'[15,5] =  -.016328682921624
mat `T_V'[15,6] =  .2223576507442195
mat `T_V'[15,7] = -.0121620164776811
mat `T_V'[15,8] =   .234519669016645
mat `T_V'[15,9] = -.0130438246656289
mat `T_V'[15,10] =  .2354014779752251
mat `T_V'[15,11] =  .2371210093551115
mat `T_V'[15,12] = -.0135337870598791
mat `T_V'[15,13] =  .2506547973279475
mat `T_V'[15,14] = -.0143963357365865
mat `T_V'[15,15] =  .2515173509560085
mat `T_V'[15,16] =  .0011463161781316
mat `T_V'[15,17] =  .0012443136503287
mat `T_V'[15,18] =  .0011953150546726
mat `T_V'[15,19] =  .0391639331896727
mat `T_V'[15,20] =  .0390327111514757
mat `T_V'[15,21] =  .0390983234403597
mat `T_V'[15,22] =  .0633370682620969
mat `T_V'[15,23] =  .0631510288815345
mat `T_V'[15,24] =  .0632440483515179
mat `T_V'[16,1] =  .0122119314156432
mat `T_V'[16,2] =  .0012651147280996
mat `T_V'[16,3] =  .0109468168234113
mat `T_V'[16,4] =  .0012604388777579
mat `T_V'[16,5] =  .0109514924315618
mat `T_V'[16,6] =  .0124480087357063
mat `T_V'[16,7] =  .0003675756780651
mat `T_V'[16,8] =  .0120804332514024
mat `T_V'[16,9] =  .0003414999623226
mat `T_V'[16,10] =  .0121065088493321
mat `T_V'[16,11] =  .0002360778071736
mat `T_V'[16,12] = -.0009659974405546
mat `T_V'[16,13] =  .0012020751263747
mat `T_V'[16,14] = -.0009102385356891
mat `T_V'[16,15] =  .0011463161781316
mat `T_V'[16,16] =  .0146873163145764
mat `T_V'[16,17] =  .0147332702016737
mat `T_V'[16,18] =  .0147102936448664
mat `T_V'[16,19] = -.0012276472538032
mat `T_V'[16,20] = -.0013263598760644
mat `T_V'[16,21] = -.0012770036402306
mat `T_V'[16,22] =  .0063048269726597
mat `T_V'[16,23] =  .0062165025567045
mat `T_V'[16,24] =  .0062606643397015
mat `T_V'[17,1] =  .0122060449867324
mat `T_V'[17,2] =  .0012723796419842
mat `T_V'[17,3] =  .0109336654812642
mat `T_V'[17,4] =  .0012679663362694
mat `T_V'[17,5] =  .0109380785443629
mat `T_V'[17,6] =  .0125381060920599
mat `T_V'[17,7] =   .000372929208776
mat `T_V'[17,8] =  .0121651770777086
mat `T_V'[17,9] =   .000346752043081
mat `T_V'[17,10] =   .012191354124882
mat `T_V'[17,11] =  .0003320615917642
mat `T_V'[17,12] = -.0009671190058279
mat `T_V'[17,13] =  .0012991804774051
mat `T_V'[17,14] = -.0009122522230707
mat `T_V'[17,15] =  .0012443136503287
mat `T_V'[17,16] =  .0147332702016737
mat `T_V'[17,17] =  .0147798305222748
mat `T_V'[17,18] =  .0147565507500934
mat `T_V'[17,19] = -.0012509577845694
mat `T_V'[17,20] = -.0013486966948654
mat `T_V'[17,21] = -.0012998273178026
mat `T_V'[17,22] =  .0063001812314311
mat `T_V'[17,23] =  .0062123103469465
mat `T_V'[17,24] =  .0062562453622902
mat `T_V'[18,1] =  .0122089884371785
mat `T_V'[18,2] =  .0012687471856968
mat `T_V'[18,3] =  .0109402413876736
mat `T_V'[18,4] =  .0012642026073809
mat `T_V'[18,5] =  .0109447857235858
mat `T_V'[18,6] =  .0124930577636369
mat `T_V'[18,7] =  .0003702524156293
mat `T_V'[18,8] =  .0121228055421006
mat `T_V'[18,9] =  .0003441259762069
mat `T_V'[18,10] =  .0121489318633558
mat `T_V'[18,11] =  .0002840698132321
mat `T_V'[18,12] = -.0009665582537886
mat `T_V'[18,13] =  .0012506279462505
mat `T_V'[18,14] = -.0009112454060591
mat `T_V'[18,15] =  .0011953150546726
mat `T_V'[18,16] =  .0147102936448664
mat `T_V'[18,17] =  .0147565507500934
mat `T_V'[18,18] =  .0147334225849102
mat `T_V'[18,19] =  -.001239301938212
mat `T_V'[18,20] = -.0013375277061479
mat `T_V'[18,21] = -.0012884148988709
mat `T_V'[18,22] =  .0063025040396145
mat `T_V'[18,23] =  .0062144063841334
mat `T_V'[18,24] =  .0062584547859344
mat `T_V'[19,1] =   .011721987633019
mat `T_V'[19,2] =  -.001070223587675
mat `T_V'[19,3] =  .0127922144139598
mat `T_V'[19,4] = -.0010811541265626
mat `T_V'[19,5] =  .0128031422545337
mat `T_V'[19,6] =  .0587688477019346
mat `T_V'[19,7] =  .0068213279993708
mat `T_V'[19,8] =  .0519475201777851
mat `T_V'[19,9] =   .006793584107309
mat `T_V'[19,10] =    .05197526469438
mat `T_V'[19,11] =  .0470468582710437
mat `T_V'[19,12] =  .0084029790281211
mat `T_V'[19,13] =   .038643877317598
mat `T_V'[19,14] =  .0078829274724463
mat `T_V'[19,15] =  .0391639331896727
mat `T_V'[19,16] = -.0012276472538032
mat `T_V'[19,17] = -.0012509577845694
mat `T_V'[19,18] =  -.001239301938212
mat `T_V'[19,19] =  1.108448726524615
mat `T_V'[19,20] =  1.113912170765079
mat `T_V'[19,21] =  1.111180479714663
mat `T_V'[19,22] = -.0369115638940886
mat `T_V'[19,23] = -.0363236118402203
mat `T_V'[19,24] = -.0366175871582428
mat `T_V'[20,1] =  .0115086655767638
mat `T_V'[20,2] = -.0010682402496895
mat `T_V'[20,3] =  .0125769090714618
mat `T_V'[20,4] = -.0010779444553746
mat `T_V'[20,5] =  .0125866105297301
mat `T_V'[20,6] =  .0586841044345764
mat `T_V'[20,7] =  .0070725219101072
mat `T_V'[20,8] =  .0516115830135968
mat `T_V'[20,9] =  .0070558963132722
mat `T_V'[20,10] =  .0516282092001298
mat `T_V'[20,11] =  .0471754370546114
mat `T_V'[20,12] =  .0086800976321435
mat `T_V'[20,13] =  .0384953374741272
mat `T_V'[20,14] =  .0081427282960497
mat `T_V'[20,15] =  .0390327111514757
mat `T_V'[20,16] = -.0013263598760644
mat `T_V'[20,17] = -.0013486966948654
mat `T_V'[20,18] = -.0013375277061479
mat `T_V'[20,19] =  1.113912170765079
mat `T_V'[20,20] =  1.119444248142707
mat `T_V'[20,21] =  1.116678240608986
mat `T_V'[20,22] = -.0376025752773178
mat `T_V'[20,23] = -.0369790441335006
mat `T_V'[20,24] = -.0372908089987331
mat `T_V'[21,1] =  .0116153275083805
mat `T_V'[21,2] = -.0010692320103773
mat `T_V'[21,3] =  .0126845627378949
mat `T_V'[21,4] = -.0010795493853971
mat `T_V'[21,5] =  .0126948773900495
mat `T_V'[21,6] =  .0587264778293483
mat `T_V'[21,7] =  .0069469244634674
mat `T_V'[21,8] =  .0517795538480554
mat `T_V'[21,9] =  .0069247397048514
mat `T_V'[21,10] =   .051801739213787
mat `T_V'[21,11] =  .0471111485204312
mat `T_V'[21,12] =  .0085415378998602
mat `T_V'[21,13] =  .0385696086837383
mat `T_V'[21,14] =  .0080128274720662
mat `T_V'[21,15] =  .0390983234403597
mat `T_V'[21,16] = -.0012770036402306
mat `T_V'[21,17] = -.0012998273178026
mat `T_V'[21,18] = -.0012884148988709
mat `T_V'[21,19] =  1.111180479714663
mat `T_V'[21,20] =  1.116678240608986
mat `T_V'[21,21] =   1.11392939127428
mat `T_V'[21,22] = -.0372570692947409
mat `T_V'[21,23] = -.0366513277178905
mat `T_V'[21,24] = -.0369541977985218
mat `T_V'[22,1] =  .0047486368936574
mat `T_V'[22,2] =   .001683289400235
mat `T_V'[22,3] =  .0030653445832679
mat `T_V'[22,4] =  .0016792926089014
mat `T_V'[22,5] =  .0030693449661682
mat `T_V'[22,6] =  .0517868121196109
mat `T_V'[22,7] = -.0142539841595448
mat `T_V'[22,8] =  .0660407982748327
mat `T_V'[22,9] = -.0146625909677362
mat `T_V'[22,10] =  .0664494056734022
mat `T_V'[22,11] =   .047038177708612
mat `T_V'[22,12] = -.0162796671802951
mat `T_V'[22,13] =  .0633178442720599
mat `T_V'[22,14] = -.0162988908788859
mat `T_V'[22,15] =  .0633370682620969
mat `T_V'[22,16] =  .0063048269726597
mat `T_V'[22,17] =  .0063001812314311
mat `T_V'[22,18] =  .0063025040396145
mat `T_V'[22,19] = -.0369115638940886
mat `T_V'[22,20] = -.0376025752773178
mat `T_V'[22,21] = -.0372570692947409
mat `T_V'[22,22] =  .2626036177385879
mat `T_V'[22,23] =  .2625032959495531
mat `T_V'[22,24] =  .2625534553044699
mat `T_V'[23,1] =  .0046103433918355
mat `T_V'[23,2] =  .0016892064668215
mat `T_V'[23,3] =  .0029211340384875
mat `T_V'[23,4] =  .0016860149593438
mat `T_V'[23,5] =  .0029243291104189
mat `T_V'[23,6] =  .0516228774404185
mat `T_V'[23,7] =  -.014097380203652
mat `T_V'[23,8] =  .0657202596505873
mat `T_V'[23,9] = -.0144959303574509
mat `T_V'[23,10] =  .0661188103656826
mat `T_V'[23,11] =  .0470125365405461
mat `T_V'[23,12] = -.0161080360462776
mat `T_V'[23,13] =  .0631205719604852
mat `T_V'[23,14] = -.0161384926700203
mat `T_V'[23,15] =  .0631510288815345
mat `T_V'[23,16] =  .0062165025567045
mat `T_V'[23,17] =  .0062123103469465
mat `T_V'[23,18] =  .0062144063841334
mat `T_V'[23,19] = -.0363236118402203
mat `T_V'[23,20] = -.0369790441335006
mat `T_V'[23,21] = -.0366513277178905
mat `T_V'[23,22] =  .2625032959495531
mat `T_V'[23,23] =   .262437486959461
mat `T_V'[23,24] =  .2624703898979262
mat `T_V'[24,1] =   .004679489751724
mat `T_V'[24,2] =  .0016862478717322
mat `T_V'[24,3] =  .0029932389816512
mat `T_V'[24,4] =  .0016826537218888
mat `T_V'[24,5] =   .002996836709505
mat `T_V'[24,6] =  .0517048441905544
mat `T_V'[24,7] = -.0141756822210409
mat `T_V'[24,8] =  .0658805284126922
mat `T_V'[24,9] = -.0145792607025547
mat `T_V'[24,10] =  .0662841074700432
mat `T_V'[24,11] =  .0470253569261411
mat `T_V'[24,12] = -.0161938515939729
mat `T_V'[24,13] =  .0632192078985212
mat `T_V'[24,14] = -.0162186917525932
mat `T_V'[24,15] =  .0632440483515179
mat `T_V'[24,16] =  .0062606643397015
mat `T_V'[24,17] =  .0062562453622902
mat `T_V'[24,18] =  .0062584547859344
mat `T_V'[24,19] = -.0366175871582428
mat `T_V'[24,20] = -.0372908089987331
mat `T_V'[24,21] = -.0369541977985218
mat `T_V'[24,22] =  .2625534553044699
mat `T_V'[24,23] =  .2624703898979262
mat `T_V'[24,24] =  .2625119210531075
tempname C_V
matrix `C_V' = e(V)
assert mreldif( `C_V' , `T_V' ) < 1E-8
_assert_streq `"`: rowfullnames `C_V''"' `"2/1:total 2/1:indirect1 2/1:direct1 2/1:indirect2 2/1:direct2 3/1:total 3/1:indirect1 3/1:direct1 3/1:indirect2 3/1:direct2 3/2:total 3/2:indirect1 3/2:direct1 3/2:indirect2 3/2:direct2 2/1r:method1 2/1r:method2 2/1r:average 3/1r:method1 3/1r:method2 3/1r:average 3/2r:method1 3/2r:method2 3/2r:average"'
_assert_streq `"`: colfullnames `C_V''"' `"2/1:total 2/1:indirect1 2/1:direct1 2/1:indirect2 2/1:direct2 3/1:total 3/1:indirect1 3/1:direct1 3/1:indirect2 3/1:direct2 3/2:total 3/2:indirect1 3/2:direct1 3/2:indirect2 3/2:direct2 2/1r:method1 2/1r:method2 2/1r:average 3/1r:method1 3/1r:method2 3/1r:average 3/2r:method1 3/2r:method2 3/2r:average"'
mat drop `C_V' `T_V'

tempname T_odds_pred 
mat `T_odds_pred' = J(3,3,0)
mat `T_odds_pred'[1,1] =  .1405908333155932
mat `T_odds_pred'[1,2] =  .2694252046452595
mat `T_odds_pred'[1,3] =  .2003068494849604
mat `T_odds_pred'[2,1] =  .1302120173019736
mat `T_odds_pred'[2,2] =  .2494088592556532
mat `T_odds_pred'[2,3] =  .1854749951979512
mat `T_odds_pred'[3,1] =  .1409478046045662
mat `T_odds_pred'[3,2] =  .2691890327462617
mat `T_odds_pred'[3,3] =  .2004915931148087
tempname C_odds_pred
matrix `C_odds_pred' = e(odds_pred)
assert mreldif( `C_odds_pred' , `T_odds_pred' ) < 1E-8
_assert_streq `"`: rowfullnames `C_odds_pred''"' `"white black other"'
_assert_streq `"`: colfullnames `C_odds_pred''"' `"association:white association:black association:other"'
mat drop `C_odds_pred' `T_odds_pred'

tempname T_prop_pred 
mat `T_prop_pred' = J(3,3,0)
mat `T_prop_pred'[1,1] =  .1232614090952393
mat `T_prop_pred'[1,2] =  .2122418899981983
mat `T_prop_pred'[1,3] =  .1668797021119309
mat `T_prop_pred'[2,1] =  .1152102572867823
mat `T_prop_pred'[2,2] =  .1996214909219075
mat `T_prop_pred'[2,3] =  .1564562693850667
mat `T_prop_pred'[3,1] =  .1235357165645421
mat `T_prop_pred'[3,2] =  .2120953032219263
mat `T_prop_pred'[3,3] =  .1670079109797104
tempname C_prop_pred
matrix `C_prop_pred' = e(prop_pred)
assert mreldif( `C_prop_pred' , `T_prop_pred' ) < 1E-8
_assert_streq `"`: rowfullnames `C_prop_pred''"' `"white black other"'
_assert_streq `"`: colfullnames `C_prop_pred''"' `"association:white association:black association:other"'
mat drop `C_prop_pred' `T_prop_pred'

tempname T_prop_obs 
mat `T_prop_obs' = J(3,1,0)
mat `T_prop_obs'[1,1] =  .2233727810650888
mat `T_prop_obs'[2,1] =                 .3
mat `T_prop_obs'[3,1] =  .3333333333333333
tempname C_prop_obs
matrix `C_prop_obs' = e(prop_obs)
assert mreldif( `C_prop_obs' , `T_prop_obs' ) < 1E-8
_assert_streq `"`: rowfullnames `C_prop_obs''"' `"white black other"'
_assert_streq `"`: colfullnames `C_prop_obs''"' `"proportion"'
mat drop `C_prop_obs' `T_prop_obs'


ldecomp union south c_city, direct(race) indirect(grade) at(c_city 0; south 1) seed(12345) normal

if c(stata_version) >= 10  {
	_assert_streq `"`e(cmdline)'"' `"bootstrap , notable           seed(12345)  : _ldecomp union south c_city, direct(race) indirect(grade) at(c_city 0; south 1) seed(12345) normal"'
}
assert `"`e(cmd)'"'        == `"bootstrap"'
assert `"`e(cmdname)'"'    == `"_ldecomp"'
assert `"`e(prefix)'"'     == `"bootstrap"'
assert `"`e(title)'"'      == `"Bootstrap results"'
assert `"`e(seed)'"'       == `"X246f113dc43f462544a474abacbdd93d0823"'
assert `"`e(vce)'"'        == `"bootstrap"'
assert `"`e(vcetype)'"'    == `"Bootstrap"'
_assert_streq `"`e(command)'"' `"_ldecomp union south c_city, direct(race) indirect(grade) at(c_city 0; south 1) seed(12345) normal "'
assert `"`e(exp24)'"'      == `"[3/2r]_b[average]"'
assert `"`e(exp23)'"'      == `"[3/2r]_b[method2]"'
assert `"`e(exp22)'"'      == `"[3/2r]_b[method1]"'
assert `"`e(exp21)'"'      == `"[3/1r]_b[average]"'
assert `"`e(exp20)'"'      == `"[3/1r]_b[method2]"'
assert `"`e(exp19)'"'      == `"[3/1r]_b[method1]"'
assert `"`e(exp18)'"'      == `"[2/1r]_b[average]"'
assert `"`e(exp17)'"'      == `"[2/1r]_b[method2]"'
assert `"`e(exp16)'"'      == `"[2/1r]_b[method1]"'
assert `"`e(exp15)'"'      == `"[3/2]_b[direct2]"'
assert `"`e(exp14)'"'      == `"[3/2]_b[indirect2]"'
assert `"`e(exp13)'"'      == `"[3/2]_b[direct1]"'
assert `"`e(exp12)'"'      == `"[3/2]_b[indirect1]"'
assert `"`e(exp11)'"'      == `"[3/2]_b[total]"'
assert `"`e(exp10)'"'      == `"[3/1]_b[direct2]"'
assert `"`e(exp9)'"'       == `"[3/1]_b[indirect2]"'
assert `"`e(exp8)'"'       == `"[3/1]_b[direct1]"'
assert `"`e(exp7)'"'       == `"[3/1]_b[indirect1]"'
assert `"`e(exp6)'"'       == `"[3/1]_b[total]"'
assert `"`e(exp5)'"'       == `"[2/1]_b[direct2]"'
assert `"`e(exp4)'"'       == `"[2/1]_b[indirect2]"'
assert `"`e(exp3)'"'       == `"[2/1]_b[direct1]"'
assert `"`e(exp2)'"'       == `"[2/1]_b[indirect1]"'
assert `"`e(exp1)'"'       == `"[2/1]_b[total]"'
if c(stata_version) >= 10  {
	assert `"`e(properties)'"' == `"b V"'
}
else {
	assert `"`e(properties)'"' == `"b"'
}

assert         e(version)   == 3
assert         e(N_misreps) == 0
assert         e(N_reps)    == 50
assert         e(level)     == 95
assert         e(k_eform)   == 3
if c(stata_version) >= 11  {
	assert         e(rank)      == 14
}
assert         e(k_eq)      == 6
assert         e(k_exp)     == 0
assert         e(k_eexp)    == 24
assert         e(k_extra)   == 0
assert         e(N)         == 1876

tempname T_b 
mat `T_b' = J(1,24,0)
mat `T_b'[1,1] =   .574662431432466
mat `T_b'[1,2] = -.0750418889808946
mat `T_b'[1,3] =  .6497043204133606
mat `T_b'[1,4] =  -.075550626269014
mat `T_b'[1,5] =  .6502130577014798
mat `T_b'[1,6] =  .2542585813491022
mat `T_b'[1,7] = -.0947892035413095
mat `T_b'[1,8] =  .3490477848904116
mat `T_b'[1,9] = -.0996486912265564
mat `T_b'[1,10] =  .3539072725756586
mat `T_b'[1,11] = -.3204038500833638
mat `T_b'[1,12] = -.0294757395786577
mat `T_b'[1,13] = -.2909281105047061
mat `T_b'[1,14] = -.0243588516037088
mat `T_b'[1,15] = -.2960449984796549
mat `T_b'[1,16] = -.1305842958862598
mat `T_b'[1,17] = -.1314695761139079
mat `T_b'[1,18] = -.1310269360000839
mat `T_b'[1,19] = -.3728063101680017
mat `T_b'[1,20] = -.3919186943379374
mat `T_b'[1,21] = -.3823625022529695
mat `T_b'[1,22] =  .0919955848563884
mat `T_b'[1,23] =  .0760254647295001
mat `T_b'[1,24] =  .0840105247929443
tempname C_b
matrix `C_b' = e(b)
assert mreldif( `C_b' , `T_b' ) < 1E-8
_assert_streq `"`: rowfullnames `C_b''"' `"y1"'
_assert_streq `"`: colfullnames `C_b''"' `"2/1:total 2/1:indirect1 2/1:direct1 2/1:indirect2 2/1:direct2 3/1:total 3/1:indirect1 3/1:direct1 3/1:indirect2 3/1:direct2 3/2:total 3/2:indirect1 3/2:direct1 3/2:indirect2 3/2:direct2 2/1r:method1 2/1r:method2 2/1r:average 3/1r:method1 3/1r:method2 3/1r:average 3/2r:method1 3/2r:method2 3/2r:average"'
mat drop `C_b' `T_b'

tempname T_V 
mat `T_V' = J(24,24,0)
mat `T_V'[1,1] =  .0239014181757176
mat `T_V'[1,2] =  .0002626962572994
mat `T_V'[1,3] =  .0236387214592413
mat `T_V'[1,4] =  .0002180881760182
mat `T_V'[1,5] =  .0236833298678419
mat `T_V'[1,6] =  .0081040385129082
mat `T_V'[1,7] = -.0007704133887298
mat `T_V'[1,8] =  .0088744515860678
mat `T_V'[1,9] = -.0009178545246211
mat `T_V'[1,10] =  .0090218928585285
mat `T_V'[1,11] = -.0157973800256613
mat `T_V'[1,12] = -.0015012042280149
mat `T_V'[1,13] =  -.014296175159623
mat `T_V'[1,14] = -.0011666364610791
mat `T_V'[1,15] = -.0146307427561897
mat `T_V'[1,16] =   .011635596572316
mat `T_V'[1,17] =  .0116179927965055
mat `T_V'[1,18] =  .0116267950276547
mat `T_V'[1,19] =   .058968355325147
mat `T_V'[1,20] =  .0605544347551803
mat `T_V'[1,21] =  .0597613957992321
mat `T_V'[1,22] =  2.671038752613665
mat `T_V'[1,23] =  2.709931105792623
mat `T_V'[1,24] =   2.69048493190255
mat `T_V'[2,1] =  .0002626962572994
mat `T_V'[2,2] =  .0003863929286296
mat `T_V'[2,3] = -.0001236966276839
mat `T_V'[2,4] =  .0003922044852831
mat `T_V'[2,5] = -.0001295081898005
mat `T_V'[2,6] =  .0014680945862116
mat `T_V'[2,7] = -.0000202249867985
mat `T_V'[2,8] =  .0014883195850295
mat `T_V'[2,9] = -.0000272860943543
mat `T_V'[2,10] =  .0014953807011898
mat `T_V'[2,11] =  .0012053982629945
mat `T_V'[2,12] =  -.000393997662118
mat `T_V'[2,13] =  .0015993959949464
mat `T_V'[2,14] = -.0004138163225605
mat `T_V'[2,15] =  .0016192146411932
mat `T_V'[2,16] =  .0011691523797698
mat `T_V'[2,17] =  .0011804522615676
mat `T_V'[2,18] =  .0011748023267791
mat `T_V'[2,19] =  .0020334192263192
mat `T_V'[2,20] =  .0020356791437895
mat `T_V'[2,21] =  .0020345492590084
mat `T_V'[2,22] =   .144549103922208
mat `T_V'[2,23] =  .1465263426328526
mat `T_V'[2,24] =  .1455377239028403
mat `T_V'[3,1] =  .0236387214592413
mat `T_V'[3,2] = -.0001236966276839
mat `T_V'[3,3] =  .0237624175841023
mat `T_V'[3,4] = -.0001741162605598
mat `T_V'[3,5] =  .0238128375497606
mat `T_V'[3,6] =  .0066359462947701
mat `T_V'[3,7] = -.0007501886737467
mat `T_V'[3,8] =  .0073861346409273
mat `T_V'[3,9] = -.0008905687681598
mat `T_V'[3,10] =  .0075265148633052
mat `T_V'[3,11] = -.0170027754614056
mat `T_V'[3,12] = -.0011072068855657
mat `T_V'[3,13] = -.0158955680076502
mat `T_V'[3,14] = -.0007528205202584
mat `T_V'[3,15] = -.0162499541883928
mat `T_V'[3,16] =  .0104664441400411
mat `T_V'[3,17] =  .0104375404899849
mat `T_V'[3,18] =  .0104519926521465
mat `T_V'[3,19] =  .0569349287793164
mat `T_V'[3,20] =  .0585187481309521
mat `T_V'[3,21] =  .0577268391402488
mat `T_V'[3,22] =  2.526489405504075
mat `T_V'[3,23] =  2.563404516357557
mat `T_V'[3,24] =   2.54494696300491
mat `T_V'[4,1] =  .0002180881760182
mat `T_V'[4,2] =  .0003922044852831
mat `T_V'[4,3] = -.0001741162605598
mat `T_V'[4,4] =  .0003983924806268
mat `T_V'[4,5] = -.0001803042635343
mat `T_V'[4,6] =  .0015201483697858
mat `T_V'[4,7] = -5.81857792760e-06
mat `T_V'[4,8] =  .0015259669593577
mat `T_V'[4,9] = -.0000133249403555
mat `T_V'[4,10] =   .001533473332394
mat `T_V'[4,11] =  .0013020601233727
mat `T_V'[4,12] = -.0003834127892029
mat `T_V'[4,13] =  .0016854729831334
mat `T_V'[4,14] = -.0004057393979887
mat `T_V'[4,15] =   .001707799577906
mat `T_V'[4,16] =  .0011671082006745
mat `T_V'[4,17] =  .0011789790059344
mat `T_V'[4,18] =  .0011730436093012
mat `T_V'[4,19] =  .0017272672372029
mat `T_V'[4,20] =  .0017228256928964
mat `T_V'[4,21] =  .0017250465465466
mat `T_V'[4,22] =  .1414410470275099
mat `T_V'[4,23] =  .1433734330445534
mat `T_V'[4,24] =  .1424072406586445
mat `T_V'[5,1] =  .0236833298678419
mat `T_V'[5,2] = -.0001295081898005
mat `T_V'[5,3] =  .0238128375497606
mat `T_V'[5,4] = -.0001803042635343
mat `T_V'[5,5] =   .023863633958445
mat `T_V'[5,6] =  .0065838928190162
mat `T_V'[5,7] = -.0007645948261365
mat `T_V'[5,8] =  .0073484873179383
mat `T_V'[5,9] = -.0009045296599987
mat `T_V'[5,10] =  .0074884222777613
mat `T_V'[5,11] = -.0170994373412829
mat `T_V'[5,12] =  -.001117791491208
mat `T_V'[5,13] = -.0159816452826092
mat `T_V'[5,14] = -.0007608971751845
mat `T_V'[5,15] = -.0163385394142505
mat `T_V'[5,16] =  .0104684884863279
mat `T_V'[5,17] =  .0104390139101791
mat `T_V'[5,18] =  .0104537515355007
mat `T_V'[5,19] =  .0572410738293197
mat `T_V'[5,20] =  .0588315945974211
mat `T_V'[5,21] =  .0580363348909422
mat `T_V'[5,22] =  2.529597611373727
mat `T_V'[5,23] =  2.566557576868843
mat `T_V'[5,24] =  2.548077596198079
mat `T_V'[6,1] =  .0081040385129082
mat `T_V'[6,2] =  .0014680945862116
mat `T_V'[6,3] =  .0066359462947701
mat `T_V'[6,4] =  .0015201483697858
mat `T_V'[6,5] =  .0065838928190162
mat `T_V'[6,6] =  .2272144586447722
mat `T_V'[6,7] = -.0000766468474921
mat `T_V'[6,8] =  .2272911036779132
mat `T_V'[6,9] = -.0029152320087243
mat `T_V'[6,10] =  .2301296876375103
mat `T_V'[6,11] =   .219110417754034
mat `T_V'[6,12] = -.0009683784760439
mat `T_V'[6,13] =  .2200787968795173
mat `T_V'[6,14] = -.0042635339918447
mat `T_V'[6,15] =  .2233739504687091
mat `T_V'[6,16] =  .0110344817101548
mat `T_V'[6,17] =  .0111500466783422
mat `T_V'[6,18] =  .0110922644873112
mat `T_V'[6,19] = -.1122965584170261
mat `T_V'[6,20] = -.1141687634136984
mat `T_V'[6,21] = -.1132326578510633
mat `T_V'[6,22] = -5.511879317917955
mat `T_V'[6,23] = -5.596583908600629
mat `T_V'[6,24] = -5.554231598264684
mat `T_V'[7,1] = -.0007704133887298
mat `T_V'[7,2] = -.0000202249867985
mat `T_V'[7,3] = -.0007501886737467
mat `T_V'[7,4] = -5.81857792760e-06
mat `T_V'[7,5] = -.0007645948261365
mat `T_V'[7,6] = -.0000766468474921
mat `T_V'[7,7] =  .0091366633263256
mat `T_V'[7,8] = -.0092133097339809
mat `T_V'[7,9] =  .0094191601952783
mat `T_V'[7,10] = -.0094958067560719
mat `T_V'[7,11] =  .0006937667506359
mat `T_V'[7,12] =  .0096643042567881
mat `T_V'[7,13] = -.0089705370978054
mat `T_V'[7,14] =  .0094307083164825
mat `T_V'[7,15] = -.0087369417891197
mat `T_V'[7,16] = -.0007549189292717
mat `T_V'[7,17] =  -.000737538773873
mat `T_V'[7,18] = -.0007462288890367
mat `T_V'[7,19] =  .0002486771701351
mat `T_V'[7,20] =  .0006419918583157
mat `T_V'[7,21] =  .0004453346744357
mat `T_V'[7,22] =  1.030229371989467
mat `T_V'[7,23] =  1.046977240609462
mat `T_V'[7,24] =  1.038603304535376
mat `T_V'[8,1] =  .0088744515860678
mat `T_V'[8,2] =  .0014883195850295
mat `T_V'[8,3] =  .0073861346409273
mat `T_V'[8,4] =  .0015259669593577
mat `T_V'[8,5] =  .0073484873179383
mat `T_V'[8,6] =  .2272911036779132
mat `T_V'[8,7] = -.0092133097339809
mat `T_V'[8,8] =  .2365044111577067
mat `T_V'[8,9] = -.0123343916844338
mat `T_V'[8,10] =  .2396254920596627
mat `T_V'[8,11] =  .2184166495046175
mat `T_V'[8,12] = -.0106326822635473
mat `T_V'[8,13] =  .2290493320092572
mat `T_V'[8,14] = -.0136942418009256
mat `T_V'[8,15] =  .2321108902516466
mat `T_V'[8,16] =  .0117894005888002
mat `T_V'[8,17] =  .0118875854005877
mat `T_V'[8,18] =   .011838493325221
mat `T_V'[8,19] = -.1125452352670998
mat `T_V'[8,20] = -.1148107548780815
mat `T_V'[8,21] =  -.113677992168502
mat `T_V'[8,22] =  -6.54210910240335
mat `T_V'[8,23] = -6.643561567662268
mat `T_V'[8,24] = -6.592835318274112
mat `T_V'[9,1] = -.0009178545246211
mat `T_V'[9,2] = -.0000272860943543
mat `T_V'[9,3] = -.0008905687681598
mat `T_V'[9,4] = -.0000133249403555
mat `T_V'[9,5] = -.0009045296599987
mat `T_V'[9,6] = -.0029152320087243
mat `T_V'[9,7] =  .0094191601952783
mat `T_V'[9,8] = -.0123343916844338
mat `T_V'[9,9] =   .009783256249641
mat `T_V'[9,10] = -.0126984878640419
mat `T_V'[9,11] = -.0019973771893983
mat `T_V'[9,12] =  .0099754251859843
mat `T_V'[9,13] = -.0119728019827531
mat `T_V'[9,14] =  .0097999599009245
mat `T_V'[9,15] = -.0117973372995273
mat `T_V'[9,16] = -.0008703510241554
mat `T_V'[9,17] = -.0008541140561547
mat `T_V'[9,18] = -.0008622325783618
mat `T_V'[9,19] =  .0022249484806698
mat `T_V'[9,20] =  .0026893870033593
mat `T_V'[9,21] =  .0024571678511984
mat `T_V'[9,22] =  1.101066209626367
mat `T_V'[9,23] =  1.119018576761364
mat `T_V'[9,24] =  1.110042391130074
mat `T_V'[10,1] =  .0090218928585285
mat `T_V'[10,2] =  .0014953807011898
mat `T_V'[10,3] =  .0075265148633052
mat `T_V'[10,4] =   .001533473332394
mat `T_V'[10,5] =  .0074884222777613
mat `T_V'[10,6] =  .2301296876375103
mat `T_V'[10,7] = -.0094958067560719
mat `T_V'[10,8] =  .2396254920596627
mat `T_V'[10,9] = -.0126984878640419
mat `T_V'[10,10] =  .2428281720912435
mat `T_V'[10,11] =  .2211077921064472
mat `T_V'[10,12] = -.0109438033505889
mat `T_V'[10,13] =   .232051595713846
mat `T_V'[10,14] = -.0140634935193788
mat `T_V'[10,15] =  .2351712845578608
mat `T_V'[10,16] =  .0119048327477548
mat `T_V'[10,17] =  .0120041607521458
mat `T_V'[10,18] =  .0119544970812197
mat `T_V'[10,19] = -.1145215053680751
mat `T_V'[10,20] = -.1168581487746651
mat `T_V'[10,21] = -.1156898241162551
mat `T_V'[10,22] = -6.612945586233553
mat `T_V'[10,23] =  -6.71560254476065
mat `T_V'[10,24] = -6.664274048438704
mat `T_V'[11,1] = -.0157973800256613
mat `T_V'[11,2] =  .0012053982629945
mat `T_V'[11,3] = -.0170027754614056
mat `T_V'[11,4] =  .0013020601233727
mat `T_V'[11,5] = -.0170994373412829
mat `T_V'[11,6] =   .219110417754034
mat `T_V'[11,7] =  .0006937667506359
mat `T_V'[11,8] =  .2184166495046175
mat `T_V'[11,9] = -.0019973771893983
mat `T_V'[11,10] =  .2211077921064472
mat `T_V'[11,11] =  .2349077957647179
mat `T_V'[11,12] =  .0005328260375774
mat `T_V'[11,13] =  .2343749697385562
mat `T_V'[11,14] =  -.003096897169775
mat `T_V'[11,15] =  .2380046908489305
mat `T_V'[11,16] = -.0006011151481979
mat `T_V'[11,17] = -.0004679464121965
mat `T_V'[11,18] = -.0005345308303784
mat `T_V'[11,19] = -.1712649031916061
mat `T_V'[11,20] = -.1747231874705339
mat `T_V'[11,21] = -.1729940430258398
mat `T_V'[11,22] = -8.182917815694426
mat `T_V'[11,23] = -8.306514755693845
mat `T_V'[11,24] = -8.244716273398932
mat `T_V'[12,1] = -.0015012042280149
mat `T_V'[12,2] =  -.000393997662118
mat `T_V'[12,3] = -.0011072068855657
mat `T_V'[12,4] = -.0003834127892029
mat `T_V'[12,5] =  -.001117791491208
mat `T_V'[12,6] = -.0009683784760439
mat `T_V'[12,7] =  .0096643042567881
mat `T_V'[12,8] = -.0106326822635473
mat `T_V'[12,9] =  .0099754251859843
mat `T_V'[12,10] = -.0109438033505889
mat `T_V'[12,11] =  .0005328260375774
mat `T_V'[12,12] =  .0106075191901754
mat `T_V'[12,13] = -.0100746927860484
mat `T_V'[12,14] =  .0103606968485575
mat `T_V'[12,15] = -.0098278710962086
mat `T_V'[12,16] = -.0021026186142636
mat `T_V'[12,17] = -.0020946297466376
mat `T_V'[12,18] = -.0020986242263865
mat `T_V'[12,19] = -.0032095234359012
mat `T_V'[12,20] = -.0028227656595185
mat `T_V'[12,21] = -.0030161444857738
mat `T_V'[12,22] =  .8444000251090232
mat `T_V'[12,23] =  .8586668515894405
mat `T_V'[12,24] =  .8515334358996769
mat `T_V'[13,1] =  -.014296175159623
mat `T_V'[13,2] =  .0015993959949464
mat `T_V'[13,3] = -.0158955680076502
mat `T_V'[13,4] =  .0016854729831334
mat `T_V'[13,5] = -.0159816452826092
mat `T_V'[13,6] =  .2200787968795173
mat `T_V'[13,7] = -.0089705370978054
mat `T_V'[13,8] =  .2290493320092572
mat `T_V'[13,9] = -.0119728019827531
mat `T_V'[13,10] =   .232051595713846
mat `T_V'[13,11] =  .2343749697385562
mat `T_V'[13,12] = -.0100746927860484
mat `T_V'[13,13] =  .2444496621694709
mat `T_V'[13,14] = -.0134575936954341
mat `T_V'[13,15] =  .2478325616336565
mat `T_V'[13,16] =  .0015015033783205
mat `T_V'[13,17] =   .001626683247227
mat `T_V'[13,18] =  .0015640933085283
mat `T_V'[13,19] = -.1680553824277323
mat `T_V'[13,20] = -.1719004244094388
mat `T_V'[13,21] = -.1699779011752914
mat `T_V'[13,22] = -9.027317896286329
mat `T_V'[13,23] = -9.165181663558402
mat `T_V'[13,24] = -9.096249765177609
mat `T_V'[14,1] = -.0011666364610791
mat `T_V'[14,2] = -.0004138163225605
mat `T_V'[14,3] = -.0007528205202584
mat `T_V'[14,4] = -.0004057393979887
mat `T_V'[14,5] = -.0007608971751845
mat `T_V'[14,6] = -.0042635339918447
mat `T_V'[14,7] =  .0094307083164825
mat `T_V'[14,8] = -.0136942418009256
mat `T_V'[14,9] =  .0097999599009245
mat `T_V'[14,10] = -.0140634935193788
mat `T_V'[14,11] =  -.003096897169775
mat `T_V'[14,12] =  .0103606968485575
mat `T_V'[14,13] = -.0134575936954341
mat `T_V'[14,14] =  .0102035833038226
mat `T_V'[14,15] = -.0133004807391908
mat `T_V'[14,16] = -.0020284211773519
mat `T_V'[14,17] = -.0020235726630998
mat `T_V'[14,18] = -.0020259969637494
mat `T_V'[14,19] =  .0001744217481923
mat `T_V'[14,20] =  .0006362853122403
mat `T_V'[14,21] =  .0004053535665918
mat `T_V'[14,22] =  .9499344293209945
mat `T_V'[14,23] =  .9658082750487246
mat `T_V'[14,24] =  .9578713495132933
mat `T_V'[15,1] = -.0146307427561897
mat `T_V'[15,2] =  .0016192146411932
mat `T_V'[15,3] = -.0162499541883928
mat `T_V'[15,4] =   .001707799577906
mat `T_V'[15,5] = -.0163385394142505
mat `T_V'[15,6] =  .2233739504687091
mat `T_V'[15,7] = -.0087369417891197
mat `T_V'[15,8] =  .2321108902516466
mat `T_V'[15,9] = -.0117973372995273
mat `T_V'[15,10] =  .2351712845578608
mat `T_V'[15,11] =  .2380046908489305
mat `T_V'[15,12] = -.0098278710962086
mat `T_V'[15,13] =  .2478325616336565
mat `T_V'[15,14] = -.0133004807391908
mat `T_V'[15,15] =  .2513051697681524
mat `T_V'[15,16] =   .001427306555798
mat `T_V'[15,17] =  .0015556267817597
mat `T_V'[15,18] =  .0014914666621211
mat `T_V'[15,19] = -.1714393264304269
mat `T_V'[15,20] = -.1753594742830661
mat `T_V'[15,21] = -.1733993980878918
mat `T_V'[15,22] = -9.132852309947237
mat `T_V'[15,23] = -9.272323096666479
mat `T_V'[15,24] =  -9.20258768834009
mat `T_V'[16,1] =   .011635596572316
mat `T_V'[16,2] =  .0011691523797698
mat `T_V'[16,3] =  .0104664441400411
mat `T_V'[16,4] =  .0011671082006745
mat `T_V'[16,5] =  .0104684884863279
mat `T_V'[16,6] =  .0110344817101548
mat `T_V'[16,7] = -.0007549189292717
mat `T_V'[16,8] =  .0117894005888002
mat `T_V'[16,9] = -.0008703510241554
mat `T_V'[16,10] =  .0119048327477548
mat `T_V'[16,11] = -.0006011151481979
mat `T_V'[16,12] = -.0021026186142636
mat `T_V'[16,13] =  .0015015033783205
mat `T_V'[16,14] = -.0020284211773519
mat `T_V'[16,15] =   .001427306555798
mat `T_V'[16,16] =  .0139484120651666
mat `T_V'[16,17] =  .0139991598668807
mat `T_V'[16,18] =  .0139737863941376
mat `T_V'[16,19] =  .0257337266432617
mat `T_V'[16,20] =   .026114362764899
mat `T_V'[16,21] =  .0259240448463841
mat `T_V'[16,22] =  .5155234606243154
mat `T_V'[16,23] =  .5223812605873751
mat `T_V'[16,24] =  .5189523631882352
mat `T_V'[17,1] =  .0116179927965055
mat `T_V'[17,2] =  .0011804522615676
mat `T_V'[17,3] =  .0104375404899849
mat `T_V'[17,4] =  .0011789790059344
mat `T_V'[17,5] =  .0104390139101791
mat `T_V'[17,6] =  .0111500466783422
mat `T_V'[17,7] =  -.000737538773873
mat `T_V'[17,8] =  .0118875854005877
mat `T_V'[17,9] = -.0008541140561547
mat `T_V'[17,10] =  .0120041607521458
mat `T_V'[17,11] = -.0004679464121965
mat `T_V'[17,12] = -.0020946297466376
mat `T_V'[17,13] =   .001626683247227
mat `T_V'[17,14] = -.0020235726630998
mat `T_V'[17,15] =  .0015556267817597
mat `T_V'[17,16] =  .0139991598668807
mat `T_V'[17,17] =  .0140510534449805
mat `T_V'[17,18] =  .0140251070858951
mat `T_V'[17,19] =  .0251930342550257
mat `T_V'[17,20] =  .0255638894150787
mat `T_V'[17,21] =   .025378461995146
mat `T_V'[17,22] =  .5151881571869469
mat `T_V'[17,23] =  .5220410214899419
mat `T_V'[17,24] =  .5186145919212954
mat `T_V'[18,1] =  .0116267950276547
mat `T_V'[18,2] =  .0011748023267791
mat `T_V'[18,3] =  .0104519926521465
mat `T_V'[18,4] =  .0011730436093012
mat `T_V'[18,5] =  .0104537515355007
mat `T_V'[18,6] =  .0110922644873112
mat `T_V'[18,7] = -.0007462288890367
mat `T_V'[18,8] =   .011838493325221
mat `T_V'[18,9] = -.0008622325783618
mat `T_V'[18,10] =  .0119544970812197
mat `T_V'[18,11] = -.0005345308303784
mat `T_V'[18,12] = -.0020986242263865
mat `T_V'[18,13] =  .0015640933085283
mat `T_V'[18,14] = -.0020259969637494
mat `T_V'[18,15] =  .0014914666621211
mat `T_V'[18,16] =  .0139737863941376
mat `T_V'[18,17] =  .0140251070858951
mat `T_V'[18,18] =  .0139994471690556
mat `T_V'[18,19] =  .0254633781279649
mat `T_V'[18,20] =  .0258391237501505
mat `T_V'[18,21] =  .0256512510902566
mat `T_V'[18,22] =  .5153559923525398
mat `T_V'[18,23] =  .5222113271815516
mat `T_V'[18,24] =   .518783662349666
mat `T_V'[19,1] =   .058968355325147
mat `T_V'[19,2] =  .0020334192263192
mat `T_V'[19,3] =  .0569349287793164
mat `T_V'[19,4] =  .0017272672372029
mat `T_V'[19,5] =  .0572410738293197
mat `T_V'[19,6] = -.1122965584170261
mat `T_V'[19,7] =  .0002486771701351
mat `T_V'[19,8] = -.1125452352670998
mat `T_V'[19,9] =  .0022249484806698
mat `T_V'[19,10] = -.1145215053680751
mat `T_V'[19,11] = -.1712649031916061
mat `T_V'[19,12] = -.0032095234359012
mat `T_V'[19,13] = -.1680553824277323
mat `T_V'[19,14] =  .0001744217481923
mat `T_V'[19,15] = -.1714393264304269
mat `T_V'[19,16] =  .0257337266432617
mat `T_V'[19,17] =  .0251930342550257
mat `T_V'[19,18] =  .0254633781279649
mat `T_V'[19,19] =  7.569634250504639
mat `T_V'[19,20] =  7.677362041046242
mat `T_V'[19,21] =  7.623498025021668
mat `T_V'[19,22] =  10.81260063916284
mat `T_V'[19,23] =   10.9771282928289
mat `T_V'[19,24] =  10.89486445301558
mat `T_V'[20,1] =  .0605544347551803
mat `T_V'[20,2] =  .0020356791437895
mat `T_V'[20,3] =  .0585187481309521
mat `T_V'[20,4] =  .0017228256928964
mat `T_V'[20,5] =  .0588315945974211
mat `T_V'[20,6] = -.1141687634136984
mat `T_V'[20,7] =  .0006419918583157
mat `T_V'[20,8] = -.1148107548780815
mat `T_V'[20,9] =  .0026893870033593
mat `T_V'[20,10] = -.1168581487746651
mat `T_V'[20,11] = -.1747231874705339
mat `T_V'[20,12] = -.0028227656595185
mat `T_V'[20,13] = -.1719004244094388
mat `T_V'[20,14] =  .0006362853122403
mat `T_V'[20,15] = -.1753594742830661
mat `T_V'[20,16] =   .026114362764899
mat `T_V'[20,17] =  .0255638894150787
mat `T_V'[20,18] =  .0258391237501505
mat `T_V'[20,19] =  7.677362041046242
mat `T_V'[20,20] =  7.787088931765871
mat `T_V'[20,21] =  7.732225364444449
mat `T_V'[20,22] =  10.93568582558117
mat `T_V'[20,23] =  11.10227639677908
mat `T_V'[20,24] =  11.01898109785035
mat `T_V'[21,1] =  .0597613957992321
mat `T_V'[21,2] =  .0020345492590084
mat `T_V'[21,3] =  .0577268391402488
mat `T_V'[21,4] =  .0017250465465466
mat `T_V'[21,5] =  .0580363348909422
mat `T_V'[21,6] = -.1132326578510633
mat `T_V'[21,7] =  .0004453346744357
mat `T_V'[21,8] =  -.113677992168502
mat `T_V'[21,9] =  .0024571678511984
mat `T_V'[21,10] = -.1156898241162551
mat `T_V'[21,11] = -.1729940430258398
mat `T_V'[21,12] = -.0030161444857738
mat `T_V'[21,13] = -.1699779011752914
mat `T_V'[21,14] =  .0004053535665918
mat `T_V'[21,15] = -.1733993980878918
mat `T_V'[21,16] =  .0259240448463841
mat `T_V'[21,17] =   .025378461995146
mat `T_V'[21,18] =  .0256512510902566
mat `T_V'[21,19] =  7.623498025021668
mat `T_V'[21,20] =  7.732225364444449
mat `T_V'[21,21] =  7.677861573375377
mat `T_V'[21,22] =  10.87414294680178
mat `T_V'[21,23] =  11.03970205490241
mat `T_V'[21,24] =  10.95692248769706
mat `T_V'[22,1] =  2.671038752613665
mat `T_V'[22,2] =   .144549103922208
mat `T_V'[22,3] =  2.526489405504075
mat `T_V'[22,4] =  .1414410470275099
mat `T_V'[22,5] =  2.529597611373727
mat `T_V'[22,6] = -5.511879317917955
mat `T_V'[22,7] =  1.030229371989467
mat `T_V'[22,8] =  -6.54210910240335
mat `T_V'[22,9] =  1.101066209626367
mat `T_V'[22,10] = -6.612945586233553
mat `T_V'[22,11] = -8.182917815694426
mat `T_V'[22,12] =  .8444000251090232
mat `T_V'[22,13] = -9.027317896286329
mat `T_V'[22,14] =  .9499344293209945
mat `T_V'[22,15] = -9.132852309947237
mat `T_V'[22,16] =  .5155234606243154
mat `T_V'[22,17] =  .5151881571869469
mat `T_V'[22,18] =  .5153559923525398
mat `T_V'[22,19] =  10.81260063916284
mat `T_V'[22,20] =  10.93568582558117
mat `T_V'[22,21] =  10.87414294680178
mat `T_V'[22,22] =  35645.08608519834
mat `T_V'[22,23] =  36170.37390035393
mat `T_V'[22,24] =  35907.72999399639
mat `T_V'[23,1] =  2.709931105792623
mat `T_V'[23,2] =  .1465263426328526
mat `T_V'[23,3] =  2.563404516357557
mat `T_V'[23,4] =  .1433734330445534
mat `T_V'[23,5] =  2.566557576868843
mat `T_V'[23,6] = -5.596583908600629
mat `T_V'[23,7] =  1.046977240609462
mat `T_V'[23,8] = -6.643561567662268
mat `T_V'[23,9] =  1.119018576761364
mat `T_V'[23,10] =  -6.71560254476065
mat `T_V'[23,11] = -8.306514755693845
mat `T_V'[23,12] =  .8586668515894405
mat `T_V'[23,13] = -9.165181663558402
mat `T_V'[23,14] =  .9658082750487246
mat `T_V'[23,15] = -9.272323096666479
mat `T_V'[23,16] =  .5223812605873751
mat `T_V'[23,17] =  .5220410214899419
mat `T_V'[23,18] =  .5222113271815516
mat `T_V'[23,19] =   10.9771282928289
mat `T_V'[23,20] =  11.10227639677908
mat `T_V'[23,21] =  11.03970205490241
mat `T_V'[23,22] =  36170.37390035393
mat `T_V'[23,23] =  36703.40469773259
mat `T_V'[23,24] =  36436.88930027411
mat `T_V'[24,1] =   2.69048493190255
mat `T_V'[24,2] =  .1455377239028403
mat `T_V'[24,3] =   2.54494696300491
mat `T_V'[24,4] =  .1424072406586445
mat `T_V'[24,5] =  2.548077596198079
mat `T_V'[24,6] = -5.554231598264684
mat `T_V'[24,7] =  1.038603304535376
mat `T_V'[24,8] = -6.592835318274112
mat `T_V'[24,9] =  1.110042391130074
mat `T_V'[24,10] = -6.664274048438704
mat `T_V'[24,11] = -8.244716273398932
mat `T_V'[24,12] =  .8515334358996769
mat `T_V'[24,13] = -9.096249765177609
mat `T_V'[24,14] =  .9578713495132933
mat `T_V'[24,15] =  -9.20258768834009
mat `T_V'[24,16] =  .5189523631882352
mat `T_V'[24,17] =  .5186145919212954
mat `T_V'[24,18] =   .518783662349666
mat `T_V'[24,19] =  10.89486445301558
mat `T_V'[24,20] =  11.01898109785035
mat `T_V'[24,21] =  10.95692248769706
mat `T_V'[24,22] =  35907.72999399639
mat `T_V'[24,23] =  36436.88930027411
mat `T_V'[24,24] =  36172.30964836082
tempname C_V
matrix `C_V' = e(V)
assert mreldif( `C_V' , `T_V' ) < 1E-8
_assert_streq `"`: rowfullnames `C_V''"' `"2/1:total 2/1:indirect1 2/1:direct1 2/1:indirect2 2/1:direct2 3/1:total 3/1:indirect1 3/1:direct1 3/1:indirect2 3/1:direct2 3/2:total 3/2:indirect1 3/2:direct1 3/2:indirect2 3/2:direct2 2/1r:method1 2/1r:method2 2/1r:average 3/1r:method1 3/1r:method2 3/1r:average 3/2r:method1 3/2r:method2 3/2r:average"'
_assert_streq `"`: colfullnames `C_V''"' `"2/1:total 2/1:indirect1 2/1:direct1 2/1:indirect2 2/1:direct2 3/1:total 3/1:indirect1 3/1:direct1 3/1:indirect2 3/1:direct2 3/2:total 3/2:indirect1 3/2:direct1 3/2:indirect2 3/2:direct2 2/1r:method1 2/1r:method2 2/1r:average 3/1r:method1 3/1r:method2 3/1r:average 3/2r:method1 3/2r:method2 3/2r:average"'
mat drop `C_V' `T_V'

tempname T_odds_pred 
mat `T_odds_pred' = J(3,3,0)
mat `T_odds_pred'[1,1] =  .1394649595944081
mat `T_odds_pred'[1,2] =  .2672077489243375
mat `T_odds_pred'[1,3] =  .1986850001118149
mat `T_odds_pred'[2,1] =  .1293822880290813
mat `T_odds_pred'[2,2] =    .24776378574557
mat `T_odds_pred'[2,3] =  .1842752966614837
mat `T_odds_pred'[3,1] =  .1268523967797234
mat `T_odds_pred'[3,2] =   .240567346136035
mat `T_odds_pred'[3,3] =  .1798407910548868
tempname C_odds_pred
matrix `C_odds_pred' = e(odds_pred)
assert mreldif( `C_odds_pred' , `T_odds_pred' ) < 1E-8
_assert_streq `"`: rowfullnames `C_odds_pred''"' `"white black other"'
_assert_streq `"`: colfullnames `C_odds_pred''"' `"association:white association:black association:other"'
mat drop `C_odds_pred' `T_odds_pred'

tempname T_prop_pred 
mat `T_prop_pred' = J(3,3,0)
mat `T_prop_pred'[1,1] =  .1223951280117035
mat `T_prop_pred'[1,2] =  .2108634114265442
mat `T_prop_pred'[1,3] =  .1657524704933167
mat `T_prop_pred'[2,1] =  .1145602241158485
mat `T_prop_pred'[2,2] =  .1985662579536438
mat `T_prop_pred'[2,3] =  .1556017398834229
mat `T_prop_pred'[3,1] =  .1125723272562027
mat `T_prop_pred'[3,2] =  .1939171999692917
mat `T_prop_pred'[3,3] =  .1524280160665512
tempname C_prop_pred
matrix `C_prop_pred' = e(prop_pred)
assert mreldif( `C_prop_pred' , `T_prop_pred' ) < 1E-8
_assert_streq `"`: rowfullnames `C_prop_pred''"' `"white black other"'
_assert_streq `"`: colfullnames `C_prop_pred''"' `"association:white association:black association:other"'
mat drop `C_prop_pred' `T_prop_pred'


tempname T_prop_obs 
mat `T_prop_obs' = J(3,1,0)
mat `T_prop_obs'[1,1] =  .2233727810650888
mat `T_prop_obs'[2,1] =                 .3
mat `T_prop_obs'[3,1] =  .3333333333333333
tempname C_prop_obs
matrix `C_prop_obs' = e(prop_obs)
assert mreldif( `C_prop_obs' , `T_prop_obs' ) < 1E-8
_assert_streq `"`: rowfullnames `C_prop_obs''"' `"white black other"'
_assert_streq `"`: colfullnames `C_prop_obs''"' `"proportion"'
mat drop `C_prop_obs' `T_prop_obs'

